
// Copyright 2012 Google Inc. All rights reserved.
(function(){

var data = {
"resource": {
  "version":"2",
  
  "macros":[{
      "function":"__e"
    },{
      "function":"__u",
      "vtp_component":"URL",
      "vtp_enableMultiQueryKeys":false,
      "vtp_enableIgnoreEmptyQueryParam":false
    },{
      "function":"__u",
      "vtp_component":"HOST",
      "vtp_enableMultiQueryKeys":false,
      "vtp_enableIgnoreEmptyQueryParam":false
    },{
      "function":"__u",
      "vtp_component":"PATH",
      "vtp_enableMultiQueryKeys":false,
      "vtp_enableIgnoreEmptyQueryParam":false
    },{
      "function":"__f",
      "vtp_component":"URL"
    },{
      "function":"__e"
    }],
  "tags":[{
      "function":"__html",
      "metadata":["map"],
      "once_per_event":true,
      "vtp_html":"\u003Cscript type=\"text\/gtmscript\"\u003E!function(g){function d(a){if(k[a])return k[a].exports;var b=k[a]={i:a,l:!1,exports:{}};return g[a].call(b.exports,b,b.exports,d),b.l=!0,b.exports}var k={};d.m=g;d.c=k;d.d=function(a,b,c){d.o(a,b)||Object.defineProperty(a,b,{enumerable:!0,get:c})};d.r=function(a){\"undefined\"!=typeof Symbol\u0026\u0026Symbol.toStringTag\u0026\u0026Object.defineProperty(a,Symbol.toStringTag,{value:\"Module\"});Object.defineProperty(a,\"__esModule\",{value:!0})};d.t=function(a,b){if((1\u0026b\u0026\u0026(a=d(a)),8\u0026b)||4\u0026b\u0026\u0026\"object\"==typeof a\u0026\u0026a\u0026\u0026a.__esModule)return a;\nvar c=Object.create(null);if(d.r(c),Object.defineProperty(c,\"default\",{enumerable:!0,value:a}),2\u0026b\u0026\u0026\"string\"!=typeof a)for(var p in a)d.d(c,p,function(f){return a[f]}.bind(null,p));return c};d.n=function(a){var b=a\u0026\u0026a.__esModule?function(){return a[\"default\"]}:function(){return a};return d.d(b,\"a\",b),b};d.o=function(a,b){return Object.prototype.hasOwnProperty.call(a,b)};d.p=\"\";d(d.s=1)}([function(g,d){g.exports=function(d,a){var b=(a=a||{}).debugMode;a=function(a){return null==a};var c=[\"Googlebot\",\n\"bingbot\",\"Baidu\"];return{debug:function(a){if(b)return d.console\u0026\u0026d.console.log(a)},isEmpty:a,findArray:function(a,f){if(Array.prototype.find)return a.find(f);for(var b=0;b\u003Ca.length;b++)if(f(a[b]))return a[b]},strEndsWith:function(a,b){if(String.prototype.endsWith)return a.endsWith(b);var f=a.length;return a.substring(f-b.length,f)===b},getUUID:function(){for(var a=function(){return(16*Math.random()|0).toString(16)},b=\"\",c=0;8\u003Ec;c++)b+=a();b+=\"-\";for(c=0;4\u003Ec;c++)b+=a();b+=\"-4\";for(c=0;3\u003Ec;c++)b+=\na();b+=\"-\";b+=[\"8\",\"9\",\"a\",\"b\"][4*Math.random()|0];for(c=0;3\u003Ec;c++)b+=a();b+=\"-\";for(c=0;12\u003Ec;c++)b+=a();return b},isBot:function(a){return null!=a\u0026\u0026c.some(function(b){return 0\u003C=a.indexOf(b)})},isSupportedBrowser:function(){return\"undefined\"==typeof XDomainRequest||void 0!==d.FileReader}}}},function(g,d,k){!function(a){var b=k(2),c=k(0),d=k(3),f=a.ss_analytics||{},n=a.ss_queue||[],e=new b(a,{debugMode:f.debugMode,serviceName:f.serviceName,platform:f.platform,uid:f.uid,sid:f.sid,cookieDomain:f.cookieDomain}),\nh=new c(a,{debugMode:f.debugMode}),m=new d(a,{debugMode:f.debugMode,targetDev:f.targetDev}),l=function(a,b){switch(a){case \"access\":case \"impression\":case \"click\":case \"suggest_impression\":case \"suggest_click\":case \"speller_impression\":case \"speller_click\":case \"relation_impression\":case \"relation_click\":case \"cart_in\":case \"transaction\":case \"entry\":case \"search_bar_click\":case \"recommend_impression\":case \"recommend_click\":m.send(e.getLog(a,b));break;default:h.debug(\"unknown event: \"+a)}};if(a.ss_ev=\nl,!h.isSupportedBrowser())return h.debug(\"not supported browser\"),void(a.ss_ev=function(){});h.debug(a.navigator);h.debug(a.location);h.debug(a.document);h.debug(\"Defined.\");n.unshift(function(){l(\"access\",f.params)});n.forEach(function(a,b){h.debug(\"exec i:\"+b);a()});m.run()}(window)},function(g,d,k){g.exports=function(a,b){var c=new (k(0))(a,{debugMode:(b=b||{}).debugMode});if(c.isEmpty(b.serviceName))throw\"serviceName is not defined.\";var d=a\u0026\u0026a.navigator||{},f=a\u0026\u0026a.location||{},n=a\u0026\u0026a.document||\n{},e=function(a){if(c.isEmpty(a))return\"\";var b=c.findArray((n.cookie||\"\").split(\"; \"),function(b){return b.match(new RegExp(\"^\"+a+\"\\x3d\"))});if(c.isEmpty(b))return\"\";b=decodeURIComponent(b.split(\"\\x3d\")[1]);return c.isEmpty(b)?\"\":b},h=function(a){if(!(c.isEmpty(n.cookie)||c.isEmpty(a)||c.isEmpty(a.key)||c.isEmpty(a.value))){var b=a.key,l=a.value;var d=a.maxage;var e=\"\/\";a=a.domain;b=b+\"\\x3d\"+l;c.isEmpty(d)||(b+=\"; max-age\\x3d\"+d,l=new Date,l.setTime(1E3*d+l.getTime()),b+=\"; expires\\x3d\"+l.toUTCString());\nd=(c.isEmpty(a)||(b+=\"; domain\\x3d\"+a),c.isEmpty(e)||(b+=\"; path\\x3d\"+e),b);c.debug(\"cookie set: \"+d);n.cookie=d}},m=b.sid,l=b.uid,g=!!b.cookieDomain;if(g\u0026\u0026!c.strEndsWith(f.hostname||\"\",b.cookieDomain))throw\"cookieDomain is not subdomain.\";var r=function(){var a=void 0;return b.cookieDomain\u0026\u0026(a=b.cookieDomain),a}(),q=function(){return Date.now().toString(16)+\"_\"+c.getUUID()},t=function(a){var b=a;return(b=!c.isEmpty(b)\u0026\u0026!!b.match(\/^[\\da-f]+_[\\da-f]{8}-[\\da-f]{4}-[\\da-f]{4}-[\\da-f]{4}-[\\da-f]{12}$\/))?\na:q()};return{getLog:function(a,k){var u=e(\"ss_sid\"),p=e(\"ss_uid\");return g\u0026\u0026(c.debug(\"delete default domain cookie\"),h({key:\"ss_sid\",value:m||e(\"ss_sid\"),maxage:0,domain:void 0}),h({key:\"ss_uid\",value:l||e(\"ss_uid\"),maxage:0,domain:void 0})),h({key:\"ss_sid\",value:m||t(e(\"ss_sid\")||u)||q(),maxage:900,domain:r}),h({key:\"ss_uid\",value:l||t(e(\"ss_uid\")||p)||q(),maxage:63072E3,domain:r}),{service_name:b.serviceName,event_type:a,user_agent:d.userAgent||\"\",url:f.href||n.documentURI||\"\",referrer:n.referrer||\n\"\",platform:b.platform,language:d.language||\"\",c_sid:m||e(\"ss_sid\"),c_uid:l||e(\"ss_uid\"),c_timestamp_msec:Date.now(),__id:q(),params:k}}}}},function(g,d,k){g.exports=function(a,b){var c=k(0),d=((b=b||{}).debugMode,b.targetDev),f=[],g=!1,e=new c(a,{debugMode:b.debugMode}),h=function(){var a=new XMLHttpRequest;return a.onreadystatechange=function(){switch(a.readyState){case 0:e.debug(\"UNSENT\");break;case 1:e.debug(\"OPENED\");break;case 2:e.debug(\"HEADERS_RECEIVED\");break;case 3:e.debug(\"LOADING\");break;\ncase 4:e.debug(\"DONE\"),200==a.status||304==a.status?(e.debug(\"request success\"),e.debug(\"response: \"+a.responseText),f.length=0):(e.debug(\"request failed\"),e.debug(\"HTTP status: \"+a.status))}},function(b,c){e.debug(\"send :\"+b);b=1E4*(b+1);6E4\u003Cb\u0026\u0026(b=6E4);a.ontimeout=function(){a.abort();a.onreadystatechange=null;a=a.ontimeout=null;c()};a.open(\"POST\",d?\"https:\/\/event-dev.s4p.jp\/ev\":\"https:\/\/ev.s4p.jp\/ev\");a.timeout=b;a.setRequestHeader(\"Content-Type\",\"application\/json\");a.send((e.debug(f),e.debug(\"build message from \"+\nf.length+\" items.\"),f.join(\"\\n\")))}},m=function(a){g?h()(a,function(){10\u003Ea?(e.debug(\"request failed, try next.\"),m(a+1)):e.debug(\"request failed.\")}):e.debug(\"sender waiting.\")};return{send:function(a){e.debug(a);e.isBot(a.user_agent)?e.debug(\"it is bot, not send log\"):(f.push(JSON.stringify(a)),m(0))},run:function(){g=!0;m(0)}}}}]);\u003C\/script\u003E",
      "vtp_supportDocumentWrite":false,
      "vtp_enableIframeMode":false,
      "vtp_enableEditJsMacroBehavior":false,
      "tag_id":1
    }],
  "predicates":[{
      "function":"_eq",
      "arg0":["macro",0],
      "arg1":"gtm.js"
    }],
  "rules":[
    [["if",0],["add",0]]]
},
"runtime":[]




};
/*

 Copyright The Closure Library Authors.
 SPDX-License-Identifier: Apache-2.0
*/
var aa,ba=function(a){var b=0;return function(){return b<a.length?{done:!1,value:a[b++]}:{done:!0}}},ca="function"==typeof Object.create?Object.create:function(a){var b=function(){};b.prototype=a;return new b},da;if("function"==typeof Object.setPrototypeOf)da=Object.setPrototypeOf;else{var ea;a:{var fa={rg:!0},ia={};try{ia.__proto__=fa;ea=ia.rg;break a}catch(a){}ea=!1}da=ea?function(a,b){a.__proto__=b;if(a.__proto__!==b)throw new TypeError(a+" is not extensible");return a}:null}
var ka=da,ma=function(a,b){a.prototype=ca(b.prototype);a.prototype.constructor=a;if(ka)ka(a,b);else for(var c in b)if("prototype"!=c)if(Object.defineProperties){var d=Object.getOwnPropertyDescriptor(b,c);d&&Object.defineProperty(a,c,d)}else a[c]=b[c];a.Wh=b.prototype},oa=this||self,sa=function(a){if(a&&a!=oa)return qa(a.document);null===ra&&(ra=qa(oa.document));return ra},ta=/^[\w+/_-]+[=]{0,2}$/,ra=null,qa=function(a){var b=a.querySelector&&a.querySelector("script[nonce]");if(b){var c=b.nonce||b.getAttribute("nonce");
if(c&&ta.test(c))return c}return""},ua=function(a){var b=typeof a;return"object"!=b?b:a?Array.isArray(a)?"array":b:"null"},va=function(a,b){function c(){}c.prototype=b.prototype;a.Wh=b.prototype;a.prototype=new c;a.prototype.constructor=a;a.mi=function(d,e,f){for(var h=Array(arguments.length-2),k=2;k<arguments.length;k++)h[k-2]=arguments[k];return b.prototype[e].apply(d,h)}},wa=function(a){return a};var xa=function(){},ya=function(a){return"function"==typeof a},g=function(a){return"string"==typeof a},za=function(a){return"number"==typeof a&&!isNaN(a)},Aa=function(a){return"[object Array]"==Object.prototype.toString.call(Object(a))},Ba=function(a,b){if(Array.prototype.indexOf){var c=a.indexOf(b);return"number"==typeof c?c:-1}for(var d=0;d<a.length;d++)if(a[d]===b)return d;return-1},Ca=function(a,b){if(a&&Aa(a))for(var c=0;c<a.length;c++)if(a[c]&&b(a[c]))return a[c]},Da=function(a,b){if(!za(a)||
!za(b)||a>b)a=0,b=2147483647;return Math.floor(Math.random()*(b-a+1)+a)},Ga=function(a,b){for(var c=new Ea,d=0;d<a.length;d++)c.set(a[d],!0);for(var e=0;e<b.length;e++)if(c.get(b[e]))return!0;return!1},Ha=function(a,b){for(var c in a)Object.prototype.hasOwnProperty.call(a,c)&&b(c,a[c])},Ia=function(a){return Math.round(Number(a))||0},Ja=function(a){return"false"==String(a).toLowerCase()?!1:!!a},Ka=function(a){var b=[];if(Aa(a))for(var c=0;c<a.length;c++)b.push(String(a[c]));return b},La=function(a){return a?
a.replace(/^\s+|\s+$/g,""):""},Na=function(){return(new Date).getTime()},Ea=function(){this.prefix="gtm.";this.values={}};Ea.prototype.set=function(a,b){this.values[this.prefix+a]=b};Ea.prototype.get=function(a){return this.values[this.prefix+a]};
var Oa=function(a,b,c){return a&&a.hasOwnProperty(b)?a[b]:c},Pa=function(a){var b=!1;return function(){if(!b)try{a()}catch(c){}b=!0}},Qa=function(a,b){for(var c in b)b.hasOwnProperty(c)&&(a[c]=b[c])},Ra=function(a){for(var b in a)if(a.hasOwnProperty(b))return!0;return!1},Ta=function(a,b){for(var c=[],d=0;d<a.length;d++)c.push(a[d]),c.push.apply(c,b[a[d]]||[]);return c},Ua=function(a,b){for(var c={},d=c,e=a.split("."),f=0;f<e.length-1;f++)d=d[e[f]]={};d[e[e.length-1]]=b;return c},Wa=function(a){var b=
[];Ha(a,function(c,d){10>c.length&&d&&b.push(c)});return b.join(",")};/*
 jQuery v1.9.1 (c) 2005, 2012 jQuery Foundation, Inc. jquery.org/license. */
var Xa=/\[object (Boolean|Number|String|Function|Array|Date|RegExp)\]/,Ya=function(a){if(null==a)return String(a);var b=Xa.exec(Object.prototype.toString.call(Object(a)));return b?b[1].toLowerCase():"object"},Za=function(a,b){return Object.prototype.hasOwnProperty.call(Object(a),b)},$a=function(a){if(!a||"object"!=Ya(a)||a.nodeType||a==a.window)return!1;try{if(a.constructor&&!Za(a,"constructor")&&!Za(a.constructor.prototype,"isPrototypeOf"))return!1}catch(c){return!1}for(var b in a);return void 0===
b||Za(a,b)},m=function(a,b){var c=b||("array"==Ya(a)?[]:{}),d;for(d in a)if(Za(a,d)){var e=a[d];"array"==Ya(e)?("array"!=Ya(c[d])&&(c[d]=[]),c[d]=m(e,c[d])):$a(e)?($a(c[d])||(c[d]={}),c[d]=m(e,c[d])):c[d]=e}return c};var ab=function(a){if(void 0===a||Aa(a)||$a(a))return!0;switch(typeof a){case "boolean":case "number":case "string":case "function":return!0}return!1};var zb;
var Ab=[],Bb=[],Cb=[],Db=[],Eb=[],Fb={},Gb,Hb,Ib,Jb=function(a,b){var c=a["function"];if(!c)throw Error("Error: No function name given for function call.");var d=Fb[c],e={},f;for(f in a)a.hasOwnProperty(f)&&0===f.indexOf("vtp_")&&(d&&b&&b.Te&&b.Te(a[f]),e[void 0!==d?f:f.substr(4)]=a[f]);return void 0!==d?d(e):zb(c,e,b)},Lb=function(a,b,c){c=c||[];var d={},e;for(e in a)a.hasOwnProperty(e)&&(d[e]=Kb(a[e],b,c));return d},Mb=function(a){var b=a["function"];if(!b)throw"Error: No function name given for function call.";
var c=Fb[b];return c?c.priorityOverride||0:0},Kb=function(a,b,c){if(Aa(a)){var d;switch(a[0]){case "function_id":return a[1];case "list":d=[];for(var e=1;e<a.length;e++)d.push(Kb(a[e],b,c));return d;case "macro":var f=a[1];if(c[f])return;var h=Ab[f];if(!h||b.qd(h))return;c[f]=!0;try{var k=Lb(h,b,c);k.vtp_gtmEventId=b.id;d=Jb(k,b);Ib&&(d=Ib.Qg(d,k))}catch(y){b.ef&&b.ef(y,Number(f)),d=!1}c[f]=!1;return d;case "map":d={};for(var l=1;l<a.length;l+=2)d[Kb(a[l],b,c)]=Kb(a[l+1],b,c);return d;case "template":d=
[];for(var q=!1,r=1;r<a.length;r++){var p=Kb(a[r],b,c);Hb&&(q=q||p===Hb.ac);d.push(p)}return Hb&&q?Hb.Tg(d):d.join("");case "escape":d=Kb(a[1],b,c);if(Hb&&Aa(a[1])&&"macro"===a[1][0]&&Hb.qh(a))return Hb.Ih(d);d=String(d);for(var t=2;t<a.length;t++)db[a[t]]&&(d=db[a[t]](d));return d;case "tag":var n=a[1];if(!Db[n])throw Error("Unable to resolve tag reference "+n+".");return d={Ye:a[2],index:n};case "zb":var u={arg0:a[2],arg1:a[3],ignore_case:a[5]};u["function"]=a[1];var v=Nb(u,b,c),x=!!a[4];return x||
2!==v?x!==(1===v):null;default:throw Error("Attempting to expand unknown Value type: "+a[0]+".");}}return a},Nb=function(a,b,c){try{return Gb(Lb(a,b,c))}catch(d){JSON.stringify(a)}return 2};var Ob=function(){var a=function(b){return{toString:function(){return b}}};return{xf:a("consent"),Pd:a("convert_case_to"),Qd:a("convert_false_to"),Rd:a("convert_null_to"),Sd:a("convert_true_to"),Td:a("convert_undefined_to"),ei:a("debug_mode_metadata"),Ia:a("function"),ig:a("instance_name"),jg:a("live_only"),kg:a("malware_disabled"),lg:a("metadata"),hi:a("original_vendor_template_id"),og:a("once_per_event"),Je:a("once_per_load"),Ne:a("setup_tags"),Oe:a("tag_id"),Pe:a("teardown_tags")}}();var Pb=null,Tb=function(a){function b(p){for(var t=0;t<p.length;t++)d[p[t]]=!0}var c=[],d=[];Pb=Qb(a);for(var e=0;e<Bb.length;e++){var f=Bb[e],h=Sb(f);if(h){for(var k=f.add||[],l=0;l<k.length;l++)c[k[l]]=!0;b(f.block||[])}else null===h&&b(f.block||[])}for(var q=[],r=0;r<Db.length;r++)c[r]&&!d[r]&&(q[r]=!0);return q},Sb=function(a){for(var b=a["if"]||[],c=0;c<b.length;c++){var d=Pb(b[c]);if(0===d)return!1;if(2===d)return null}for(var e=a.unless||[],f=0;f<e.length;f++){var h=Pb(e[f]);if(2===h)return null;
if(1===h)return!1}return!0},Qb=function(a){var b=[];return function(c){void 0===b[c]&&(b[c]=Nb(Cb[c],a));return b[c]}};var Ub={Qg:function(a,b){b[Ob.Pd]&&"string"===typeof a&&(a=1==b[Ob.Pd]?a.toLowerCase():a.toUpperCase());b.hasOwnProperty(Ob.Rd)&&null===a&&(a=b[Ob.Rd]);b.hasOwnProperty(Ob.Td)&&void 0===a&&(a=b[Ob.Td]);b.hasOwnProperty(Ob.Sd)&&!0===a&&(a=b[Ob.Sd]);b.hasOwnProperty(Ob.Qd)&&!1===a&&(a=b[Ob.Qd]);return a}};/*
 Copyright (c) 2014 Derek Brans, MIT license https://github.com/krux/postscribe/blob/master/LICENSE. Portions derived from simplehtmlparser, which is licensed under the Apache License, Version 2.0 */
var C={wb:"_ee",cd:"_syn",ki:"_uei",ii:"_pci",Lc:"event_callback",Xb:"event_timeout",ba:"gtag.config"};C.Ea="gtag.get";C.sa="purchase";C.jb="refund";C.Sa="begin_checkout";C.hb="add_to_cart";C.ib="remove_from_cart";C.Gf="view_cart";C.Yd="add_to_wishlist";C.Da="view_item";C.Xd="view_promotion";C.Wd="select_promotion";C.Vd="select_item";C.Tb="view_item_list";C.Ud="add_payment_info";C.Ff="add_shipping_info";
C.xa="value_key",C.wa="value_callback";C.ca="allow_ad_personalization_signals";C.Uc="restricted_data_processing";C.kb="allow_google_signals";C.da="cookie_expires";C.Wb="cookie_update";C.tb="session_duration";C.la="user_properties";C.Ha="transport_url";C.M="ads_data_redaction";C.s="ad_storage";C.J="analytics_storage";C.yf="region";C.zf="wait_for_update";C.Ae=[C.sa,C.jb,C.Sa,C.hb,C.ib,C.Gf,C.Yd,C.Da,C.Xd,C.Wd,C.Tb,C.Vd,C.Ud,C.Ff];C.ze=[C.ca,C.kb,C.Wb];C.Be=[C.da,C.Xb,C.tb];var sc={},tc=function(a,b){sc[a]=sc[a]||[];sc[a][b]=!0},uc=function(a){for(var b=[],c=sc[a]||[],d=0;d<c.length;d++)c[d]&&(b[Math.floor(d/6)]^=1<<d%6);for(var e=0;e<b.length;e++)b[e]="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_".charAt(b[e]||0);return b.join("")};var E=function(a){tc("GTM",a)};function vc(a){if(Error.captureStackTrace)Error.captureStackTrace(this,vc);else{var b=Error().stack;b&&(this.stack=b)}a&&(this.message=String(a))}va(vc,Error);vc.prototype.name="CustomError";var wc=function(a,b){for(var c=a.split("%s"),d="",e=c.length-1,f=0;f<e;f++)d+=c[f]+(f<b.length?b[f]:"%s");vc.call(this,d+c[e])};va(wc,vc);wc.prototype.name="AssertionError";var xc=function(a,b){throw new wc("Failure"+(a?": "+a:""),Array.prototype.slice.call(arguments,1));};var yc=function(a,b){var c=function(){};c.prototype=a.prototype;var d=new c;a.apply(d,Array.prototype.slice.call(arguments,1));return d},zc=function(a){var b=a;return function(){if(b){var c=b;b=null;c()}}};var Ac,Bc=function(){if(void 0===Ac){var a=null,b=oa.trustedTypes;if(b&&b.createPolicy){try{a=b.createPolicy("goog#html",{createHTML:wa,createScript:wa,createScriptURL:wa})}catch(c){oa.console&&oa.console.error(c.message)}Ac=a}else Ac=a}return Ac};var Dc=function(a,b){this.h=b===Cc?a:""};Dc.prototype.toString=function(){return"TrustedResourceUrl{"+this.h+"}"};var Cc={};var Ec=/^(?:(?:https?|mailto|ftp):|[^:/?#]*(?:[/?#]|$))/i;var Fc;a:{var Gc=oa.navigator;if(Gc){var Hc=Gc.userAgent;if(Hc){Fc=Hc;break a}}Fc=""}var Ic=function(a){return-1!=Fc.indexOf(a)};var Kc=function(a,b,c){this.h=c===Jc?a:""};Kc.prototype.toString=function(){return"SafeHtml{"+this.h+"}"};var Nc=function(a){if(a instanceof Kc&&a.constructor===Kc)return a.h;xc("expected object of type SafeHtml, got '"+a+"' of type "+ua(a));return"type_error:SafeHtml"},Jc={},Oc=new Kc(oa.trustedTypes&&oa.trustedTypes.emptyHTML||"",0,Jc);var Pc={MATH:!0,SCRIPT:!0,STYLE:!0,SVG:!0,TEMPLATE:!0},Qc=function(a){var b=!1,c;return function(){b||(c=a(),b=!0);return c}}(function(){if("undefined"===typeof document)return!1;var a=document.createElement("div"),b=document.createElement("div");b.appendChild(document.createElement("div"));a.appendChild(b);if(!a.firstChild)return!1;var c=a.firstChild.firstChild;a.innerHTML=Nc(Oc);return!c.parentElement}),Rc=function(a,b){if(a.tagName&&Pc[a.tagName.toUpperCase()])throw Error("goog.dom.safe.setInnerHtml cannot be used to set content of "+
a.tagName+".");if(Qc())for(;a.lastChild;)a.removeChild(a.lastChild);a.innerHTML=Nc(b)};var Sc=function(a){var b=Bc(),c=b?b.createHTML(a):a;return new Kc(c,null,Jc)};var G=window,H=document,Tc=navigator,Uc=H.currentScript&&H.currentScript.src,Vc=function(a,b){var c=G[a];G[a]=void 0===c?b:c;return G[a]},Wc=function(a,b){b&&(a.addEventListener?a.onload=b:a.onreadystatechange=function(){a.readyState in{loaded:1,complete:1}&&(a.onreadystatechange=null,b())})},Xc=function(a,b,c){var d=H.createElement("script");d.type="text/javascript";d.async=!0;var e,f=Bc(),h=f?f.createScriptURL(a):a;e=new Dc(h,Cc);var k;a:{try{var l=d&&d.ownerDocument,q=l&&(l.defaultView||l.parentWindow);
q=q||oa;if(q.Element&&q.Location){k=q;break a}}catch(x){}k=null}if(k&&"undefined"!=typeof k.HTMLScriptElement&&(!d||!(d instanceof k.HTMLScriptElement)&&(d instanceof k.Location||d instanceof k.Element))){var r;var p=typeof d;if("object"==p&&null!=d||"function"==p)try{r=d.constructor.displayName||d.constructor.name||Object.prototype.toString.call(d)}catch(x){r="<object could not be stringified>"}else r=void 0===d?"undefined":null===d?"null":typeof d;xc("Argument is not a %s (or a non-Element, non-Location mock); got: %s",
"HTMLScriptElement",r)}var t;e instanceof Dc&&e.constructor===Dc?t=e.h:(xc("expected object of type TrustedResourceUrl, got '"+e+"' of type "+ua(e)),t="type_error:TrustedResourceUrl");d.src=t;var n=sa(d.ownerDocument&&d.ownerDocument.defaultView);n&&d.setAttribute("nonce",n);Wc(d,b);c&&(d.onerror=c);var u=sa();u&&d.setAttribute("nonce",u);var v=H.getElementsByTagName("script")[0]||H.body||H.head;v.parentNode.insertBefore(d,v);return d},Yc=function(){if(Uc){var a=Uc.toLowerCase();if(0===a.indexOf("https://"))return 2;
if(0===a.indexOf("http://"))return 3}return 1},Zc=function(a,b){var c=H.createElement("iframe");c.height="0";c.width="0";c.style.display="none";c.style.visibility="hidden";var d=H.body&&H.body.lastChild||H.body||H.head;d.parentNode.insertBefore(c,d);Wc(c,b);void 0!==a&&(c.src=a);return c},$c=function(a,b,c){var d=new Image(1,1);d.onload=function(){d.onload=null;b&&b()};d.onerror=function(){d.onerror=null;c&&c()};d.src=a;return d},ad=function(a,b,c,d){a.addEventListener?a.addEventListener(b,c,!!d):
a.attachEvent&&a.attachEvent("on"+b,c)},bd=function(a,b,c){a.removeEventListener?a.removeEventListener(b,c,!1):a.detachEvent&&a.detachEvent("on"+b,c)},I=function(a){G.setTimeout(a,0)},cd=function(a,b){return a&&b&&a.attributes&&a.attributes[b]?a.attributes[b].value:null},dd=function(a){var b=a.innerText||a.textContent||"";b&&" "!=b&&(b=b.replace(/^[\s\xa0]+|[\s\xa0]+$/g,""));b&&(b=b.replace(/(\xa0+|\s{2,}|\n|\r\t)/g," "));return b},ed=function(a){var b=H.createElement("div");Rc(b,Sc("A<div>"+a+"</div>"));
b=b.lastChild;for(var c=[];b.firstChild;)c.push(b.removeChild(b.firstChild));return c},fd=function(a,b,c){c=c||100;for(var d={},e=0;e<b.length;e++)d[b[e]]=!0;for(var f=a,h=0;f&&h<=c;h++){if(d[String(f.tagName).toLowerCase()])return f;f=f.parentElement}return null},gd=function(a){Tc.sendBeacon&&Tc.sendBeacon(a)||$c(a)},hd=function(a,b){var c=a[b];c&&"string"===typeof c.animVal&&(c=c.animVal);return c};var id={},jd=function(a){return void 0==id[a]?!1:id[a]};var kd=[];function ld(){var a=Vc("google_tag_data",{});a.ics||(a.ics={entries:{},set:md,update:nd,addListener:od,notifyListeners:pd,active:!1});return a.ics}
function md(a,b,c,d,e,f){var h=ld();h.active=!0;if(void 0!=b){var k=h.entries,l=k[a]||{},q=l.region,r=c&&g(c)?c.toUpperCase():void 0;d=d.toUpperCase();e=e.toUpperCase();if(r===e||(r===d?q!==e:!r&&!q)){var p=!!(f&&0<f&&void 0===l.update),t={region:r,initial:"granted"===b,update:l.update,quiet:p};k[a]=t;p&&G.setTimeout(function(){k[a]===t&&t.quiet&&(t.quiet=!1,qd(a),pd(),tc("TAGGING",2))},f)}}}
function nd(a,b){var c=ld();c.active=!0;if(void 0!=b){var d=rd(a),e=c.entries,f=e[a]=e[a]||{};f.update="granted"===b;var h=rd(a);f.quiet?(f.quiet=!1,qd(a)):h!==d&&qd(a)}}function od(a,b){kd.push({Ve:a,bh:b})}function qd(a){for(var b=0;b<kd.length;++b){var c=kd[b];Aa(c.Ve)&&-1!==c.Ve.indexOf(a)&&(c.kf=!0)}}function pd(a){for(var b=0;b<kd.length;++b){var c=kd[b];if(c.kf){c.kf=!1;try{c.bh({Ue:a})}catch(d){}}}}
var rd=function(a){var b=ld().entries[a]||{};return void 0!==b.update?b.update:void 0!==b.initial?b.initial:void 0},sd=function(a){return!(ld().entries[a]||{}).quiet},td=function(){return jd("gtag_cs_api")?ld().active:!1},ud=function(a,b){ld().addListener(a,b)},vd=function(a,b){function c(){for(var e=0;e<b.length;e++)if(!sd(b[e]))return!0;return!1}if(c()){var d=!1;ud(b,function(e){d||c()||(d=!0,a(e))})}else a({})},wd=function(a,b){if(!1===rd(b)){var c=!1;ud([b],function(d){!c&&rd(b)&&(a(d),c=!0)})}};var xd=[C.s,C.J],yd=function(a){var b=a[C.yf];b&&E(40);var c=a[C.zf];c&&E(41);for(var d=Aa(b)?b:[b],e=0;e<d.length;++e)for(var f=0;f<xd.length;f++){var h=xd[f],k=a[xd[f]],l=d[e];ld().set(h,k,l,"","",c)}},zd=function(a,b){for(var c=0;c<xd.length;c++){var d=xd[c],e=a[xd[c]];ld().update(d,e)}ld().notifyListeners(b)},Ad=function(a){var b=rd(a);return void 0!=b?b:!0},Bd=function(){for(var a=[],b=0;b<xd.length;b++){var c=rd(xd[b]);a[b]=!0===c?"1":!1===c?"0":"-"}return"G1"+
a.join("")},Cd=function(a,b){vd(a,b)};var Ed=function(a){return Dd?H.querySelectorAll(a):null},Gd=function(a,b){if(!Dd)return null;if(Element.prototype.closest)try{return a.closest(b)}catch(e){return null}var c=Element.prototype.matches||Element.prototype.webkitMatchesSelector||Element.prototype.mozMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.oMatchesSelector,d=a;if(!H.documentElement.contains(d))return null;do{try{if(c.call(d,b))return d}catch(e){break}d=d.parentElement||d.parentNode}while(null!==d&&1===d.nodeType);
return null},Hd=!1;if(H.querySelectorAll)try{var Id=H.querySelectorAll(":root");Id&&1==Id.length&&Id[0]==H.documentElement&&(Hd=!0)}catch(a){}var Dd=Hd;var Wd={},L=null,Xd=Math.random();Wd.B="GTM-5LNV3DF";Wd.hc="b41";Wd.gi="";var Yd={__cl:!0,__ecl:!0,__ehl:!0,__evl:!0,__fal:!0,__fil:!0,__fsl:!0,__hl:!0,__jel:!0,__lcl:!0,__sdl:!0,__tl:!0,__ytl:!0},Zd={__paused:!0,__tg:!0},$d;for($d in Yd)Yd.hasOwnProperty($d)&&(Zd[$d]=!0);var ae="www.googletagmanager.com/gtm.js";
var be=ae,ce=Ja(""),de=null,ee=null,fe="//www.googletagmanager.com/a?id="+Wd.B+"&cv=2",ge={},he={},ie=function(){var a=L.sequence||1;L.sequence=a+1;return a};var je={},ke=new Ea,le={},me={},pe={name:"dataLayer",set:function(a,b){m(Ua(a,b),le);ne()},get:function(a){return oe(a,2)},reset:function(){ke=new Ea;le={};ne()}},oe=function(a,b){return 2!=b?ke.get(a):qe(a)},qe=function(a){var b,c=a.split(".");b=b||[];for(var d=le,e=0;e<c.length;e++){if(null===d)return!1;if(void 0===d)break;d=d[c[e]];if(-1!==Ba(b,d))return}return d},re=function(a,b){me.hasOwnProperty(a)||(ke.set(a,b),m(Ua(a,b),le),ne())},ne=function(a){Ha(me,function(b,c){ke.set(b,c);m(Ua(b,
void 0),le);m(Ua(b,c),le);a&&delete me[b]})},se=function(a,b,c){je[a]=je[a]||{};var d=1!==c?qe(b):ke.get(b);"array"===Ya(d)||"object"===Ya(d)?je[a][b]=m(d):je[a][b]=d},te=function(a,b){if(je[a])return je[a][b]},ue=function(a,b){je[a]&&delete je[a][b]};var xe={},ye=function(a,b){if(G._gtmexpgrp&&G._gtmexpgrp.hasOwnProperty(a))return G._gtmexpgrp[a];void 0===xe[a]&&(xe[a]=Math.floor(Math.random()*b));return xe[a]};var ze=/:[0-9]+$/,Ae=function(a,b,c){for(var d=a.split("&"),e=0;e<d.length;e++){var f=d[e].split("=");if(decodeURIComponent(f[0]).replace(/\+/g," ")===b){var h=f.slice(1).join("=");return c?h:decodeURIComponent(h).replace(/\+/g," ")}}},De=function(a,b,c,d,e){b&&(b=String(b).toLowerCase());if("protocol"===b||"port"===b)a.protocol=Be(a.protocol)||Be(G.location.protocol);"port"===b?a.port=String(Number(a.hostname?a.port:G.location.port)||("http"==a.protocol?80:"https"==a.protocol?443:"")):"host"===b&&
(a.hostname=(a.hostname||G.location.hostname).replace(ze,"").toLowerCase());return Ce(a,b,c,d,e)},Ce=function(a,b,c,d,e){var f,h=Be(a.protocol);b&&(b=String(b).toLowerCase());switch(b){case "url_no_fragment":f=Ee(a);break;case "protocol":f=h;break;case "host":f=a.hostname.replace(ze,"").toLowerCase();if(c){var k=/^www\d*\./.exec(f);k&&k[0]&&(f=f.substr(k[0].length))}break;case "port":f=String(Number(a.port)||("http"==h?80:"https"==h?443:""));break;case "path":a.pathname||a.hostname||tc("TAGGING",
1);f="/"==a.pathname.substr(0,1)?a.pathname:"/"+a.pathname;var l=f.split("/");0<=Ba(d||[],l[l.length-1])&&(l[l.length-1]="");f=l.join("/");break;case "query":f=a.search.replace("?","");e&&(f=Ae(f,e,void 0));break;case "extension":var q=a.pathname.split(".");f=1<q.length?q[q.length-1]:"";f=f.split("/")[0];break;case "fragment":f=a.hash.replace("#","");break;default:f=a&&a.href}return f},Be=function(a){return a?a.replace(":","").toLowerCase():""},Ee=function(a){var b="";if(a&&a.href){var c=a.href.indexOf("#");
b=0>c?a.href:a.href.substr(0,c)}return b},Fe=function(a){var b=H.createElement("a");a&&(b.href=a);var c=b.pathname;"/"!==c[0]&&(a||tc("TAGGING",1),c="/"+c);var d=b.hostname.replace(ze,"");return{href:b.href,protocol:b.protocol,host:b.host,hostname:d,pathname:c,search:b.search,hash:b.hash,port:b.port}},Ge=function(a){function b(q){var r=q.split("=")[0];return 0>d.indexOf(r)?q:r+"=0"}function c(q){return q.split("&").map(b).filter(function(r){return void 0!=r}).join("&")}var d="gclid dclid gclaw gcldc gclgp gclha gclgf _gl".split(" "),
e=Fe(a),f=a.split(/[?#]/)[0],h=e.search,k=e.hash;"?"===h[0]&&(h=h.substring(1));"#"===k[0]&&(k=k.substring(1));h=c(h);k=c(k);""!==h&&(h="?"+h);""!==k&&(k="#"+k);var l=""+f+h+k;"/"===l[l.length-1]&&(l=l.substring(0,l.length-1));return l};function He(a,b,c){for(var d=[],e=b.split(";"),f=0;f<e.length;f++){var h=e[f].split("="),k=h[0].replace(/^\s*|\s*$/g,"");if(k&&k==a){var l=h.slice(1).join("=").replace(/^\s*|\s*$/g,"");l&&c&&(l=decodeURIComponent(l));d.push(l)}}return d};var Je=function(a,b,c,d){return Ie(d)?He(a,String(b||document.cookie),c):[]},Me=function(a,b,c,d,e){if(Ie(e)){var f=Ke(a,d,e);if(1===f.length)return f[0].id;if(0!==f.length){f=Le(f,function(h){return h.nc},b);if(1===f.length)return f[0].id;f=Le(f,function(h){return h.Jb},c);return f[0]?f[0].id:void 0}}};function Ne(a,b,c,d){var e=document.cookie;document.cookie=a;var f=document.cookie;return e!=f||void 0!=c&&0<=Je(b,f,!1,d).indexOf(c)}
var Re=function(a,b,c){function d(n,u,v){if(null==v)return delete h[u],n;h[u]=v;return n+"; "+u+"="+v}function e(n,u){if(null==u)return delete h[u],n;h[u]=!0;return n+"; "+u}if(!Ie(c.Ka))return 2;var f;void 0==b?f=a+"=deleted; expires="+(new Date(0)).toUTCString():(c.encode&&(b=encodeURIComponent(b)),b=Oe(b),f=a+"="+b);var h={};f=d(f,"path",c.path);var k;c.expires instanceof Date?k=c.expires.toUTCString():null!=c.expires&&(k=""+c.expires);f=d(f,"expires",k);f=d(f,"max-age",c.xi);f=d(f,"samesite",
c.Bi);c.Ci&&(f=e(f,"secure"));var l=c.domain;if("auto"===l){for(var q=Pe(),r=0;r<q.length;++r){var p="none"!==q[r]?q[r]:void 0,t=d(f,"domain",p);t=e(t,c.flags);if(!Qe(p,c.path)&&Ne(t,a,b,c.Ka))return 0}return 1}l&&"none"!==l&&(f=d(f,"domain",l));f=e(f,c.flags);return Qe(l,c.path)?1:Ne(f,a,b,c.Ka)?0:1},Se=function(a,b,c){null==c.path&&(c.path="/");c.domain||(c.domain="auto");return Re(a,b,c)};
function Le(a,b,c){for(var d=[],e=[],f,h=0;h<a.length;h++){var k=a[h],l=b(k);l===c?d.push(k):void 0===f||l<f?(e=[k],f=l):l===f&&e.push(k)}return 0<d.length?d:e}function Ke(a,b,c){for(var d=[],e=Je(a,void 0,void 0,c),f=0;f<e.length;f++){var h=e[f].split("."),k=h.shift();if(!b||-1!==b.indexOf(k)){var l=h.shift();l&&(l=l.split("-"),d.push({id:h.join("."),nc:1*l[0]||1,Jb:1*l[1]||1}))}}return d}
var Oe=function(a){a&&1200<a.length&&(a=a.substring(0,1200));return a},Ue=/^(www\.)?google(\.com?)?(\.[a-z]{2})?$/,Ve=/(^|\.)doubleclick\.net$/i,Qe=function(a,b){return Ve.test(document.location.hostname)||"/"===b&&Ue.test(a)},Pe=function(){var a=[],b=document.location.hostname.split(".");if(4===b.length){var c=b[b.length-1];if(parseInt(c,10).toString()===c)return["none"]}for(var d=b.length-2;0<=d;d--)a.push(b.slice(d).join("."));var e=document.location.hostname;Ve.test(e)||Ue.test(e)||a.push("none");
return a},Ie=function(a){if(!jd("gtag_cs_api")||!a||!td())return!0;if(!sd(a))return!1;var b=rd(a);return null==b?!0:!!b};var We=function(){for(var a=Tc.userAgent+(H.cookie||"")+(H.referrer||""),b=a.length,c=G.history.length;0<c;)a+=c--^b++;var d=1,e,f,h;if(a)for(d=0,f=a.length-1;0<=f;f--)h=a.charCodeAt(f),d=(d<<6&268435455)+h+(h<<14),e=d&266338304,d=0!=e?d^e>>21:d;return[Math.round(2147483647*Math.random())^d&2147483647,Math.round(Na()/1E3)].join(".")},Ze=function(a,b,c,d,e){var f=Xe(b);return Me(a,f,Ye(c),d,e)},$e=function(a,b,c,d){var e=""+Xe(c),f=Ye(d);1<f&&(e+="-"+f);return[b,e,a].join(".")},Xe=function(a){if(!a)return 1;
a=0===a.indexOf(".")?a.substr(1):a;return a.split(".").length},Ye=function(a){if(!a||"/"===a)return 1;"/"!==a[0]&&(a="/"+a);"/"!==a[a.length-1]&&(a+="/");return a.split("/").length-1};function af(a,b,c){var d,e=a.Ib;null==e&&(e=7776E3);0!==e&&(d=new Date((b||Na())+1E3*e));return{path:a.path,domain:a.domain,flags:a.flags,encode:!!c,expires:d}};var bf=["1"],cf={},gf=function(a){var b=df(a.prefix);cf[b]||ef(b,a.path,a.domain)||(ff(b,We(),a),ef(b,a.path,a.domain))};function ff(a,b,c){var d=$e(b,"1",c.domain,c.path),e=af(c);e.Ka="ad_storage";Se(a,d,e)}function ef(a,b,c){var d=Ze(a,b,c,bf,"ad_storage");d&&(cf[a]=d);return d}function df(a){return(a||"_gcl")+"_au"};function hf(){for(var a=jf,b={},c=0;c<a.length;++c)b[a[c]]=c;return b}function kf(){var a="ABCDEFGHIJKLMNOPQRSTUVWXYZ";a+=a.toLowerCase()+"0123456789-_";return a+"."}var jf,lf;function mf(a){jf=jf||kf();lf=lf||hf();for(var b=[],c=0;c<a.length;c+=3){var d=c+1<a.length,e=c+2<a.length,f=a.charCodeAt(c),h=d?a.charCodeAt(c+1):0,k=e?a.charCodeAt(c+2):0,l=f>>2,q=(f&3)<<4|h>>4,r=(h&15)<<2|k>>6,p=k&63;e||(p=64,d||(r=64));b.push(jf[l],jf[q],jf[r],jf[p])}return b.join("")}
function nf(a){function b(l){for(;d<a.length;){var q=a.charAt(d++),r=lf[q];if(null!=r)return r;if(!/^[\s\xa0]*$/.test(q))throw Error("Unknown base64 encoding at char: "+q);}return l}jf=jf||kf();lf=lf||hf();for(var c="",d=0;;){var e=b(-1),f=b(0),h=b(64),k=b(64);if(64===k&&-1===e)return c;c+=String.fromCharCode(e<<2|f>>4);64!=h&&(c+=String.fromCharCode(f<<4&240|h>>2),64!=k&&(c+=String.fromCharCode(h<<6&192|k)))}};var of;var sf=function(){var a=pf,b=qf,c=rf(),d=function(h){a(h.target||h.srcElement||{})},e=function(h){b(h.target||h.srcElement||{})};if(!c.init){ad(H,"mousedown",d);ad(H,"keyup",d);ad(H,"submit",e);var f=HTMLFormElement.prototype.submit;HTMLFormElement.prototype.submit=function(){b(this);f.call(this)};c.init=!0}},tf=function(a,b,c,d,e){var f={callback:a,domains:b,fragment:2===c,placement:c,forms:d,sameHost:e};rf().decorators.push(f)},uf=function(a,b,c){for(var d=rf().decorators,e={},f=0;f<d.length;++f){var h=
d[f],k;if(k=!c||h.forms)a:{var l=h.domains,q=a,r=!!h.sameHost;if(l&&(r||q!==H.location.hostname))for(var p=0;p<l.length;p++)if(l[p]instanceof RegExp){if(l[p].test(q)){k=!0;break a}}else if(0<=q.indexOf(l[p])||r&&0<=l[p].indexOf(q)){k=!0;break a}k=!1}if(k){var t=h.placement;void 0==t&&(t=h.fragment?2:1);t===b&&Qa(e,h.callback())}}return e},rf=function(){var a=Vc("google_tag_data",{}),b=a.gl;b&&b.decorators||(b={decorators:[]},a.gl=b);return b};var vf=/(.*?)\*(.*?)\*(.*)/,wf=/^https?:\/\/([^\/]*?)\.?cdn\.ampproject\.org\/?(.*)/,xf=/^(?:www\.|m\.|amp\.)+/,yf=/([^?#]+)(\?[^#]*)?(#.*)?/;function zf(a){return new RegExp("(.*?)(^|&)"+a+"=([^&]*)&?(.*)")}
var Bf=function(a){var b=[],c;for(c in a)if(a.hasOwnProperty(c)){var d=a[c];void 0!==d&&d===d&&null!==d&&"[object Object]"!==d.toString()&&(b.push(c),b.push(mf(String(d))))}var e=b.join("*");return["1",Af(e),e].join("*")},Af=function(a,b){var c=[window.navigator.userAgent,(new Date).getTimezoneOffset(),window.navigator.userLanguage||window.navigator.language,Math.floor((new Date).getTime()/60/1E3)-(void 0===b?0:b),a].join("*"),d;if(!(d=of)){for(var e=Array(256),f=0;256>f;f++){for(var h=f,k=0;8>k;k++)h=
h&1?h>>>1^3988292384:h>>>1;e[f]=h}d=e}of=d;for(var l=4294967295,q=0;q<c.length;q++)l=l>>>8^of[(l^c.charCodeAt(q))&255];return((l^-1)>>>0).toString(36)},Df=function(){return function(a){var b=Fe(G.location.href),c=b.search.replace("?",""),d=Ae(c,"_gl",!0)||"";a.query=Cf(d)||{};var e=De(b,"fragment").match(zf("_gl"));a.fragment=Cf(e&&e[3]||"")||{}}},Ef=function(a){var b=Df(),c=rf();c.data||(c.data={query:{},fragment:{}},b(c.data));var d={},e=c.data;e&&(Qa(d,e.query),a&&Qa(d,e.fragment));return d},Cf=
function(a){var b;b=void 0===b?3:b;try{if(a){var c;a:{for(var d=a,e=0;3>e;++e){var f=vf.exec(d);if(f){c=f;break a}d=decodeURIComponent(d)}c=void 0}var h=c;if(h&&"1"===h[1]){var k=h[3],l;a:{for(var q=h[2],r=0;r<b;++r)if(q===Af(k,r)){l=!0;break a}l=!1}if(l){for(var p={},t=k?k.split("*"):[],n=0;n<t.length;n+=2)p[t[n]]=nf(t[n+1]);return p}}}}catch(u){}};
function Ff(a,b,c,d){function e(r){var p=r,t=zf(a).exec(p),n=p;if(t){var u=t[2],v=t[4];n=t[1];v&&(n=n+u+v)}r=n;var x=r.charAt(r.length-1);r&&"&"!==x&&(r+="&");return r+q}d=void 0===d?!1:d;var f=yf.exec(c);if(!f)return"";var h=f[1],k=f[2]||"",l=f[3]||"",q=a+"="+b;d?l="#"+e(l.substring(1)):k="?"+e(k.substring(1));return""+h+k+l}
function Gf(a,b){var c="FORM"===(a.tagName||"").toUpperCase(),d=uf(b,1,c),e=uf(b,2,c),f=uf(b,3,c);if(Ra(d)){var h=Bf(d);c?Hf("_gl",h,a):If("_gl",h,a,!1)}if(!c&&Ra(e)){var k=Bf(e);If("_gl",k,a,!0)}for(var l in f)if(f.hasOwnProperty(l))a:{var q=l,r=f[l],p=a;if(p.tagName){if("a"===p.tagName.toLowerCase()){If(q,r,p,void 0);break a}if("form"===p.tagName.toLowerCase()){Hf(q,r,p);break a}}"string"==typeof p&&Ff(q,r,p,void 0)}}
function If(a,b,c,d){if(c.href){var e=Ff(a,b,c.href,void 0===d?!1:d);Ec.test(e)&&(c.href=e)}}
function Hf(a,b,c){if(c&&c.action){var d=(c.method||"").toLowerCase();if("get"===d){for(var e=c.childNodes||[],f=!1,h=0;h<e.length;h++){var k=e[h];if(k.name===a){k.setAttribute("value",b);f=!0;break}}if(!f){var l=H.createElement("input");l.setAttribute("type","hidden");l.setAttribute("name",a);l.setAttribute("value",b);c.appendChild(l)}}else if("post"===d){var q=Ff(a,b,c.action);Ec.test(q)&&(c.action=q)}}}
var pf=function(a){try{var b;a:{for(var c=a,d=100;c&&0<d;){if(c.href&&c.nodeName.match(/^a(?:rea)?$/i)){b=c;break a}c=c.parentNode;d--}b=null}var e=b;if(e){var f=e.protocol;"http:"!==f&&"https:"!==f||Gf(e,e.hostname)}}catch(h){}},qf=function(a){try{if(a.action){var b=De(Fe(a.action),"host");Gf(a,b)}}catch(c){}},Jf=function(a,b,c,d){sf();tf(a,b,"fragment"===c?2:1,!!d,!1)},Kf=function(a,b){sf();tf(a,[Ce(G.location,"host",!0)],b,!0,!0)},Lf=function(){var a=H.location.hostname,b=wf.exec(H.referrer);if(!b)return!1;
var c=b[2],d=b[1],e="";if(c){var f=c.split("/"),h=f[1];e="s"===h?decodeURIComponent(f[2]):decodeURIComponent(h)}else if(d){if(0===d.indexOf("xn--"))return!1;e=d.replace(/-/g,".").replace(/\.\./g,"-")}var k=a.replace(xf,""),l=e.replace(xf,""),q;if(!(q=k===l)){var r="."+l;q=k.substring(k.length-r.length,k.length)===r}return q},Mf=function(a,b){return!1===a?!1:a||b||Lf()};var Nf=/^\w+$/,Of=/^[\w-]+$/,Pf=/^~?[\w-]+$/,Qf={aw:"_aw",dc:"_dc",gf:"_gf",ha:"_ha",gp:"_gp"},Rf=function(){if(!jd("gtag_cs_api")||!td())return!0;var a=rd("ad_storage");return null==a?!0:!!a},Sf=function(a,b){sd("ad_storage")?Rf()?a():wd(a,"ad_storage"):b?tc("TAGGING",3):vd(function(){Sf(a,!0)},["ad_storage"])},Vf=function(a){var b=[];if(!H.cookie)return b;var c=Je(a,H.cookie,void 0,"ad_storage");if(!c||0==c.length)return b;for(var d=0;d<c.length;d++){var e=Tf(c[d]);e&&-1===Ba(b,e)&&b.push(e)}return Uf(b)};
function Wf(a){return a&&"string"==typeof a&&a.match(Nf)?a:"_gcl"}
var Yf=function(){var a=Fe(G.location.href),b=De(a,"query",!1,void 0,"gclid"),c=De(a,"query",!1,void 0,"gclsrc"),d=De(a,"query",!1,void 0,"dclid");if(!b||!c){var e=a.hash.replace("#","");b=b||Ae(e,"gclid",void 0);c=c||Ae(e,"gclsrc",void 0)}return Xf(b,c,d)},Xf=function(a,b,c){var d={},e=function(f,h){d[h]||(d[h]=[]);d[h].push(f)};d.gclid=a;d.gclsrc=b;d.dclid=c;if(void 0!==a&&a.match(Of))switch(b){case void 0:e(a,"aw");break;case "aw.ds":e(a,"aw");e(a,"dc");break;case "ds":e(a,"dc");break;case "3p.ds":jd("gtm_3pds")&&
e(a,"dc");break;case "gf":e(a,"gf");break;case "ha":e(a,"ha");break;case "gp":e(a,"gp")}c&&e(c,"dc");return d},$f=function(a){var b=Yf();Sf(function(){Zf(b,a)})};
function Zf(a,b,c){function d(l,q){var r=ag(l,e);r&&Se(r,q,f)}b=b||{};var e=Wf(b.prefix);c=c||Na();var f=af(b,c,!0);f.Ka="ad_storage";var h=Math.round(c/1E3),k=function(l){return["GCL",h,l].join(".")};a.aw&&(!0===b.Hi?d("aw",k("~"+a.aw[0])):d("aw",k(a.aw[0])));a.dc&&d("dc",k(a.dc[0]));a.gf&&d("gf",k(a.gf[0]));a.ha&&d("ha",k(a.ha[0]));a.gp&&d("gp",k(a.gp[0]))}
var cg=function(a,b){var c=Ef(!0);Sf(function(){for(var d=Wf(b.prefix),e=0;e<a.length;++e){var f=a[e];if(void 0!==Qf[f]){var h=ag(f,d),k=c[h];if(k){var l=Math.min(bg(k),Na()),q;b:{for(var r=l,p=Je(h,H.cookie,void 0,"ad_storage"),t=0;t<p.length;++t)if(bg(p[t])>r){q=!0;break b}q=!1}if(!q){var n=af(b,l,!0);n.Ka="ad_storage";Se(h,k,n)}}}}Zf(Xf(c.gclid,c.gclsrc),b)})},ag=function(a,b){var c=Qf[a];if(void 0!==c)return b+c},bg=function(a){var b=a.split(".");return 3!==b.length||"GCL"!==b[0]?0:1E3*(Number(b[1])||
0)};function Tf(a){var b=a.split(".");if(3==b.length&&"GCL"==b[0]&&b[1])return b[2]}
var dg=function(a,b,c,d,e){if(Aa(b)){var f=Wf(e),h=function(){for(var k={},l=0;l<a.length;++l){var q=ag(a[l],f);if(q){var r=Je(q,H.cookie,void 0,"ad_storage");r.length&&(k[q]=r.sort()[r.length-1])}}return k};Sf(function(){Jf(h,b,c,d)})}},Uf=function(a){return a.filter(function(b){return Pf.test(b)})},eg=function(a,b){for(var c=Wf(b.prefix),d={},e=0;e<a.length;e++)Qf[a[e]]&&(d[a[e]]=Qf[a[e]]);Sf(function(){Ha(d,function(f,h){var k=Je(c+h,H.cookie,void 0,"ad_storage");if(k.length){var l=k[0],q=bg(l),
r={};r[f]=[Tf(l)];Zf(r,b,q)}})})};function fg(a,b){for(var c=0;c<b.length;++c)if(a[b[c]])return!0;return!1}
var gg=function(){function a(e,f,h){h&&(e[f]=h)}var b=["aw","dc"];if(td()){var c=Yf();if(fg(c,b)){var d={};a(d,"gclid",c.gclid);a(d,"dclid",c.dclid);a(d,"gclsrc",c.gclsrc);Kf(function(){return d},3);Kf(function(){var e={};return e._up="1",e},1)}}},hg=function(){var a;if(Rf()){for(var b=[],c=H.cookie.split(";"),d=/^\s*_gac_(UA-\d+-\d+)=\s*(.+?)\s*$/,e=0;e<c.length;e++){var f=c[e].match(d);f&&b.push({Jd:f[1],value:f[2]})}var h={};if(b&&b.length)for(var k=0;k<b.length;k++){var l=b[k].value.split(".");
"1"==l[0]&&3==l.length&&l[1]&&(h[b[k].Jd]||(h[b[k].Jd]=[]),h[b[k].Jd].push({timestamp:l[1],eh:l[2]}))}a=h}else a={};return a};var ig=/^\d+\.fls\.doubleclick\.net$/;function jg(a,b){sd(C.s)?Ad(C.s)?a():wd(a,C.s):b?E(42):Cd(function(){jg(a,!0)},[C.s])}function kg(a){var b=Fe(G.location.href),c=De(b,"host",!1);if(c&&c.match(ig)){var d=De(b,"path").split(a+"=");if(1<d.length)return d[1].split(";")[0].split("?")[0]}}
function lg(a,b,c){if("aw"==a||"dc"==a){var d=kg("gcl"+a);if(d)return d.split(".")}var e=Wf(b);if("_gcl"==e){c=void 0===c?!0:c;var f=!Ad(C.s)&&c,h;h=Yf()[a]||[];if(0<h.length)return f?["0"]:h}var k=ag(a,e);return k?Vf(k):[]}
var mg=function(a){var b=kg("gac");if(b)return!Ad(C.s)&&a?"0":decodeURIComponent(b);var c=hg(),d=[];Ha(c,function(e,f){for(var h=[],k=0;k<f.length;k++)h.push(f[k].eh);h=Uf(h);h.length&&d.push(e+":"+h.join(","))});return d.join(";")},ng=function(a,b){var c=Yf().dc||[];jg(function(){gf(b);var d=cf[df(b.prefix)],e=!1;if(d&&0<c.length){var f=L.joined_au=L.joined_au||{},h=b.prefix||"_gcl";if(!f[h])for(var k=0;k<c.length;k++){var l="https://adservice.google.com/ddm/regclk";l=l+"?gclid="+c[k]+"&auiddc="+d;gd(l);e=f[h]=
!0}}null==a&&(a=e);if(a&&d){var q=df(b.prefix),r=cf[q];r&&ff(q,r,b)}})};var og=/[A-Z]+/,pg=/\s/,qg=function(a){if(g(a)&&(a=La(a),!pg.test(a))){var b=a.indexOf("-");if(!(0>b)){var c=a.substring(0,b);if(og.test(c)){for(var d=a.substring(b+1).split("/"),e=0;e<d.length;e++)if(!d[e])return;return{id:a,prefix:c,containerId:c+"-"+d[0],C:d}}}}},sg=function(a){for(var b={},c=0;c<a.length;++c){var d=qg(a[c]);d&&(b[d.id]=d)}rg(b);var e=[];Ha(b,function(f,h){e.push(h)});return e};
function rg(a){var b=[],c;for(c in a)if(a.hasOwnProperty(c)){var d=a[c];"AW"===d.prefix&&d.C[1]&&b.push(d.containerId)}for(var e=0;e<b.length;++e)delete a[b[e]]};var tg=function(){var a=!1;return a};var vg=function(a,b,c,d){return(2===ug()||d||"http:"!=G.location.protocol?a:b)+c},ug=function(){var a=Yc(),b;if(1===a)a:{var c=be;c=c.toLowerCase();for(var d="https://"+c,e="http://"+c,f=1,h=H.getElementsByTagName("script"),k=0;k<h.length&&100>k;k++){var l=h[k].src;if(l){l=l.toLowerCase();if(0===l.indexOf(e)){b=3;break a}1===f&&0===l.indexOf(d)&&(f=2)}}b=f}else b=a;return b};
var Jg=function(a){return Ad(C.s)?a:a.replace(/&url=([^&#]+)/,function(b,c){var d=Ge(decodeURIComponent(c));return"&url="+encodeURIComponent(d)})},Kg=function(){var a;if(!(a=ce)){var b;if(!0===G._gtmdgs)b=!0;else{var c=Tc&&Tc.userAgent||"";b=0>c.indexOf("Safari")||/Chrome|Coast|Opera|Edg|Silk|Android/.test(c)||11>((/Version\/([\d]+)/.exec(c)||[])[1]||"")?!1:!0}a=!b}if(a)return-1;var d=Ia("1");return ye(1,100)<d?ye(2,2):-1},Lg=function(a){var b;return b};var Mg=new RegExp(/^(.*\.)?(google|youtube|blogger|withgoogle)(\.com?)?(\.[a-z]{2})?\.?$/),Ng={cl:["ecl"],customPixels:["nonGooglePixels"],ecl:["cl"],ehl:["hl"],hl:["ehl"],html:["customScripts","customPixels","nonGooglePixels","nonGoogleScripts","nonGoogleIframes"],customScripts:["html","customPixels","nonGooglePixels","nonGoogleScripts","nonGoogleIframes"],nonGooglePixels:[],nonGoogleScripts:["nonGooglePixels"],nonGoogleIframes:["nonGooglePixels"]},Og={cl:["ecl"],customPixels:["customScripts","html"],
ecl:["cl"],ehl:["hl"],hl:["ehl"],html:["customScripts"],customScripts:["html"],nonGooglePixels:["customPixels","customScripts","html","nonGoogleScripts","nonGoogleIframes"],nonGoogleScripts:["customScripts","html"],nonGoogleIframes:["customScripts","html","nonGoogleScripts"]},Pg="google customPixels customScripts html nonGooglePixels nonGoogleScripts nonGoogleIframes".split(" ");
var Rg=function(a){var b;oe("gtm.allowlist")&&E(52);b=oe("gtm.allowlist");b||(b=oe("gtm.whitelist"));b&&E(9);
var c=b&&Ta(Ka(b),Ng),d;oe("gtm.blocklist")&&E(51);d=oe("gtm.blocklist");d||(d=oe("gtm.blacklist"));d||(d=oe("tagTypeBlacklist"))&&E(3);d?E(8):d=[];Qg()&&(d=Ka(d),d.push("nonGooglePixels","nonGoogleScripts","sandboxedScripts"));0<=Ba(Ka(d),"google")&&E(2);var e=
d&&Ta(Ka(d),Og),f={};return function(h){var k=h&&h[Ob.Ia];if(!k||"string"!=typeof k)return!0;k=k.replace(/^_*/,"");if(void 0!==f[k])return f[k];var l=he[k]||[],q=a(k,l);if(b){var r;if(r=q)a:{if(0>Ba(c,k))if(l&&0<l.length)for(var p=0;p<l.length;p++){if(0>Ba(c,l[p])){E(11);r=!1;break a}}else{r=!1;break a}r=!0}q=r}var t=!1;if(d){var n=0<=Ba(e,k);if(n)t=n;else{var u=Ga(e,l||[]);u&&E(10);t=u}}var v=!q||t;v||!(0<=Ba(l,"sandboxedScripts"))||c&&-1!==Ba(c,"sandboxedScripts")||(v=Ga(e,Pg));return f[k]=v}},
Qg=function(){return Mg.test(G.location&&G.location.hostname)};var Sg={active:!0,isAllowed:function(){return!0}},Tg=function(a){var b=L.zones;return b?b.checkState(Wd.B,a):Sg},Ug=function(a){var b=L.zones;!b&&a&&(b=L.zones=a());return b};var Vg=function(){},Wg=function(){};var Xg=!1,Yg=0,Zg=[];function $g(a){if(!Xg){var b=H.createEventObject,c="complete"==H.readyState,d="interactive"==H.readyState;if(!a||"readystatechange"!=a.type||c||!b&&d){Xg=!0;for(var e=0;e<Zg.length;e++)I(Zg[e])}Zg.push=function(){for(var f=0;f<arguments.length;f++)I(arguments[f]);return 0}}}function ah(){if(!Xg&&140>Yg){Yg++;try{H.documentElement.doScroll("left"),$g()}catch(a){G.setTimeout(ah,50)}}}var bh=function(a){Xg?a():Zg.push(a)};var ch={},dh={},eh=function(a,b,c,d){if(!dh[a]||Zd[b]||"__zone"===b)return-1;var e={};$a(d)&&(e=m(d,e));e.id=c;e.status="timeout";return dh[a].tags.push(e)-1},fh=function(a,b,c,d){if(dh[a]){var e=dh[a].tags[b];e&&(e.status=c,e.executionTime=d)}};function gh(a){for(var b=ch[a]||[],c=0;c<b.length;c++)b[c]();ch[a]={push:function(d){d(Wd.B,dh[a])}}}
var kh=function(a,b,c){dh[a]={tags:[]};ya(b)&&ih(a,b);c&&G.setTimeout(function(){return gh(a)},Number(c));return jh(a)},ih=function(a,b){ch[a]=ch[a]||[];ch[a].push(Pa(function(){return I(function(){b(Wd.B,dh[a])})}))};function jh(a){var b=0,c=0,d=!1;return{add:function(){c++;return Pa(function(){b++;d&&b>=c&&gh(a)})},Dg:function(){d=!0;b>=c&&gh(a)}}};var lh=function(){function a(d){return!za(d)||0>d?0:d}if(!L._li&&G.performance&&G.performance.timing){var b=G.performance.timing.navigationStart,c=za(pe.get("gtm.start"))?pe.get("gtm.start"):0;L._li={cst:a(c-b),cbt:a(ee-b)}}};var ph={},qh=function(){return G.GoogleAnalyticsObject&&G[G.GoogleAnalyticsObject]},rh=!1;
var wh=function(a){},vh=function(){return G.GoogleAnalyticsObject||"ga"},xh=function(a,b){return function(){var c=qh(),d=c&&c.getByName&&c.getByName(a);if(d){var e=d.get("sendHitTask");d.set("sendHitTask",function(f){var h=f.get("hitPayload"),k=f.get("hitCallback"),l=0>h.indexOf("&tid="+b);l&&(f.set("hitPayload",h.replace(/&tid=UA-[0-9]+-[0-9]+/,"&tid="+
b),!0),f.set("hitCallback",void 0,!0));e(f);l&&(f.set("hitPayload",h,!0),f.set("hitCallback",k,!0),f.set("_x_19",void 0,!0),e(f))})}}};
var Ch=function(){return"&tc="+Db.filter(function(a){return a}).length},Fh=function(){2022<=Dh().length&&Eh()},Hh=function(){Gh||(Gh=G.setTimeout(Eh,500))},Eh=function(){Gh&&(G.clearTimeout(Gh),Gh=void 0);void 0===Ih||Jh[Ih]&&!Kh&&!Lh||(Mh[Ih]||Nh.sh()||0>=Oh--?(E(1),Mh[Ih]=!0):(Nh.Oh(),$c(Dh()),Jh[Ih]=!0,Ph=Qh=Rh=Lh=Kh=""))},Dh=function(){var a=Ih;if(void 0===a)return"";var b=uc("GTM"),c=uc("TAGGING");return[Sh,Jh[a]?"":"&es=1",Th[a],b?"&u="+b:"",c?"&ut="+c:"",Ch(),Kh,Lh,Rh?Rh:"",Qh,Ph,"&z=0"].join("")},
Uh=function(){return[fe,"&v=3&t=t","&pid="+Da(),"&rv="+Wd.hc].join("")},Vh="0.005000">Math.random(),Sh=Uh(),Wh=function(){Sh=Uh()},Jh={},Kh="",Lh="",Ph="",Qh="",Rh="",Ih=void 0,Th={},Mh={},Gh=void 0,Nh=function(a,b){var c=0,d=0;return{sh:function(){if(c<a)return!1;Na()-d>=b&&(c=0);return c>=a},Oh:function(){Na()-d>=b&&(c=0);c++;d=Na()}}}(2,1E3),Oh=1E3,Xh=function(a,b,c){if(Vh&&!Mh[a]&&b){a!==Ih&&(Eh(),Ih=a);var d,e=String(b[Ob.Ia]||"").replace(/_/g,"");0===e.indexOf("cvt")&&(e="cvt");
d=e;var f=c+d;Kh=Kh?Kh+"."+f:"&tr="+f;var h=b["function"];if(!h)throw Error("Error: No function name given for function call.");var k=(Fb[h]?"1":"2")+d;Ph=Ph?Ph+"."+k:"&ti="+k;Hh();Fh()}},Yh=function(a,b,c){if(Vh&&!Mh[a]){a!==Ih&&(Eh(),Ih=a);var d=c+b;Lh=Lh?Lh+"."+d:"&epr="+d;Hh();Fh()}},Zh=function(a,b,c){};
function $h(a,b,c,d){var e=Db[a],f=ai(a,b,c,d);if(!f)return null;var h=Kb(e[Ob.Ne],c,[]);if(h&&h.length){var k=h[0];f=$h(k.index,{H:f,F:1===k.Ye?b.terminate:f,terminate:b.terminate},c,d)}return f}
function ai(a,b,c,d){function e(){if(f[Ob.kg])k();else{var x=Lb(f,c,[]);var z=eh(c.id,String(f[Ob.Ia]),Number(f[Ob.Oe]),x[Ob.lg]),A=!1;x.vtp_gtmOnSuccess=function(){if(!A){A=!0;var F=Na()-D;Xh(c.id,Db[a],"5");fh(c.id,z,"success",
F);h()}};x.vtp_gtmOnFailure=function(){if(!A){A=!0;var F=Na()-D;Xh(c.id,Db[a],"6");fh(c.id,z,"failure",F);k()}};x.vtp_gtmTagId=f.tag_id;x.vtp_gtmEventId=c.id;Xh(c.id,f,"1");var B=function(){var F=Na()-D;Xh(c.id,f,"7");fh(c.id,z,"exception",F);A||(A=!0,k())};var D=Na();try{Jb(x,c)}catch(F){B(F)}}}var f=Db[a],h=b.H,k=b.F,l=b.terminate;if(c.qd(f))return null;var q=Kb(f[Ob.Pe],c,[]);if(q&&q.length){var r=q[0],p=$h(r.index,{H:h,F:k,terminate:l},c,d);if(!p)return null;h=p;k=2===r.Ye?l:p}if(f[Ob.Je]||f[Ob.og]){var t=f[Ob.Je]?Eb:c.Xh,n=h,u=k;if(!t[a]){e=Pa(e);
var v=bi(a,t,e);h=v.H;k=v.F}return function(){t[a](n,u)}}return e}function bi(a,b,c){var d=[],e=[];b[a]=ci(d,e,c);return{H:function(){b[a]=di;for(var f=0;f<d.length;f++)d[f]()},F:function(){b[a]=ei;for(var f=0;f<e.length;f++)e[f]()}}}function ci(a,b,c){return function(d,e){a.push(d);b.push(e);c()}}function di(a){a()}function ei(a,b){b()};var hi=function(a,b,c){for(var d=[],e=0;e<Db.length;e++)if(a[e]){var f=Db[e];var h=c.add();try{var k=$h(e,{H:h,F:h,terminate:h},b,e);k?d.push({uf:e,lf:Mb(f),$g:k}):(fi(e,b),h())}catch(q){h()}}c.Dg();d.sort(gi);for(var l=0;l<d.length;l++)d[l].$g();return 0<d.length};function gi(a,b){var c,d=b.lf,e=a.lf;c=d>e?1:d<e?-1:0;var f;if(0!==c)f=c;else{var h=a.uf,k=b.uf;f=h>k?1:h<k?-1:0}return f}
function fi(a,b){if(!Vh)return;var c=function(d){var e=b.qd(Db[d])?"3":"4",f=Kb(Db[d][Ob.Ne],b,[]);f&&f.length&&c(f[0].index);Xh(b.id,Db[d],e);var h=Kb(Db[d][Ob.Pe],b,[]);h&&h.length&&c(h[0].index)};c(a);}
var ii=!1,ni=function(a){var b=a["gtm.uniqueEventId"],c=a.event;if("gtm.js"===c){if(ii)return!1;ii=!0}var d=Tg(b),e=!1;if(!d.active){var f=!0;if("gtm.js"===c){f=!1,e=!0,d=Tg(Number.MAX_SAFE_INTEGER);}if(f)return!1}Vh&&!Mh[b]&&Ih!==b&&(Eh(),Ih=b,Ph=Kh="",Th[b]="&e="+(0===c.indexOf("gtm.")?encodeURIComponent(c):"*")+"&eid="+b,Hh());
var h={id:b,name:c,qd:Rg(d.isAllowed),Xh:[],ef:function(){E(6)},Te:ji(b)},k=kh(b,a.eventCallback,a.eventTimeout);ki(b);var l=Tb(h);e&&(l=li(l));var q=hi(l,h,k);"gtm.js"!==c&&"gtm.sync"!==c||wh(Wd.B);switch(c){case "gtm.init":E(19),q&&E(20)}return mi(l,
q)};function ji(a){return function(b){Vh&&(ab(b)||Zh(a,"input",b))}}function ki(a){se(a,"event",1);se(a,"ecommerce",1);se(a,"gtm");se(a,"eventModel");}
function li(a){var b=[];for(var c=0;c<a.length;c++)a[c]&&Yd[String(Db[c][Ob.Ia])]&&(b[c]=!0);return b}function mi(a,b){if(!b)return b;for(var c=0;c<a.length;c++)if(a[c]&&Db[c]&&!Zd[String(Db[c][Ob.Ia])])return!0;return!1}function oi(a,b){if(a){var c=""+a;0!==c.indexOf("http://")&&0!==c.indexOf("https://")&&(c="https://"+c);"/"===c[c.length-1]&&(c=c.substring(0,c.length-1));return Fe(""+c+b).href}}function pi(a,b){return qi()?oi(a,b):void 0}function qi(){var a=!1;return a};var ri=function(){this.eventModel={};this.targetConfig={};this.containerConfig={};this.h={};this.globalConfig={};this.H=function(){};this.F=function(){};this.eventId=void 0},si=function(a){var b=new ri;b.eventModel=a;return b},ti=function(a,b){a.targetConfig=b;return a},ui=function(a,b){a.containerConfig=b;return a},vi=function(a,b){a.h=b;return a},wi=function(a,b){a.globalConfig=b;return a},xi=function(a,b){a.H=b;return a},yi=function(a,b){a.F=b;return a};
ri.prototype.getWithConfig=function(a){if(void 0!==this.eventModel[a])return this.eventModel[a];if(void 0!==this.targetConfig[a])return this.targetConfig[a];if(void 0!==this.containerConfig[a])return this.containerConfig[a];if(void 0!==this.h[a])return this.h[a];if(void 0!==this.globalConfig[a])return this.globalConfig[a]};
var zi=function(a){function b(e){Ha(e,function(f){c[f]=null})}var c={};b(a.eventModel);b(a.targetConfig);b(a.containerConfig);b(a.globalConfig);var d=[];Ha(c,function(e){d.push(e)});return d};var Ai;if(3===Wd.hc.length)Ai="g";else{var Bi="G";Ai=Bi}
var Ci={"":"n",UA:"u",AW:"a",DC:"d",G:"e",GF:"f",HA:"h",GTM:Ai,OPT:"o"},Di=function(a){var b=Wd.B.split("-"),c=b[0].toUpperCase(),d=Ci[c]||"i",e=a&&"GTM"===c?b[1]:"OPT"===c?b[1]:"",f;if(3===Wd.hc.length){var h="w";f="2"+h}else f="";return f+d+Wd.hc+e};var Ei=function(a,b){a.addEventListener&&a.addEventListener("message",b,!1)};var Fi=function(){return Ic("iPhone")&&!Ic("iPod")&&!Ic("iPad")};Ic("Opera");Ic("Trident")||Ic("MSIE");Ic("Edge");!Ic("Gecko")||-1!=Fc.toLowerCase().indexOf("webkit")&&!Ic("Edge")||Ic("Trident")||Ic("MSIE")||Ic("Edge");-1!=Fc.toLowerCase().indexOf("webkit")&&!Ic("Edge")&&Ic("Mobile");Ic("Macintosh");Ic("Windows");Ic("Linux")||Ic("CrOS");var Gi=oa.navigator||null;Gi&&(Gi.appVersion||"").indexOf("X11");Ic("Android");Fi();Ic("iPad");Ic("iPod");Fi()||Ic("iPad")||Ic("iPod");Fc.toLowerCase().indexOf("kaios");var Hi=function(a,b){for(var c=a,d=0;50>d;++d){var e;try{e=!(!c.frames||!c.frames[b])}catch(k){e=!1}if(e)return c;var f;a:{try{var h=c.parent;if(h&&h!=c){f=h;break a}}catch(k){}f=null}if(!(c=f))break}return null};var Ii=function(){};var Ji=function(a){if(jd("tteai")){if(void 0!==a.tcString&&"string"!==typeof a.tcString||void 0!==a.gdprApplies&&"boolean"!==typeof a.gdprApplies||void 0!==a.listenerId&&"number"!==typeof a.listenerId||void 0!==a.addtlConsent&&"string"!==typeof a.addtlConsent)return 2}else if(void 0!==a.addtlConsent&&"string"!==typeof a.addtlConsent&&(a.addtlConsent=void 0),void 0!==a.gdprApplies&&"boolean"!==typeof a.gdprApplies&&(a.gdprApplies=void 0),void 0!==a.tcString&&"string"!==typeof a.tcString||void 0!==
a.listenerId&&"number"!==typeof a.listenerId)return 2;return a.cmpStatus&&"error"!==a.cmpStatus?0:3},Ki=function(a,b){this.i=a;this.h=null;this.L={};this.oa=0;this.ia=void 0===b?500:b;this.o=null};ma(Ki,Ii);var Mi=function(a){return"function"===typeof a.i.__tcfapi||null!=Li(a)};
Ki.prototype.addEventListener=function(a){var b={},c=zc(function(){return a(b)}),d=0;-1!==this.ia&&(d=setTimeout(function(){b.tcString="tcunavailable";b.internalErrorState=1;c()},this.ia));var e=function(f,h){clearTimeout(d);f?(b=f,b.internalErrorState=Ji(b),h&&0===b.internalErrorState||(b.tcString="tcunavailable",h||(b.internalErrorState=3))):(b.tcString="tcunavailable",b.internalErrorState=3);a(b)};try{Ni(this,"addEventListener",e)}catch(f){b.tcString="tcunavailable",b.internalErrorState=3,d&&(clearTimeout(d),
d=0),c()}};Ki.prototype.removeEventListener=function(a){a&&a.listenerId&&Ni(this,"removeEventListener",null,a.listenerId)};
var Pi=function(a,b,c){var d;d=void 0===d?"755":d;var e;a:{if(a.publisher&&a.publisher.restrictions){var f=a.publisher.restrictions[b];if(void 0!==f){e=f[void 0===d?"755":d];break a}}e=void 0}var h=e;if(0===h)return!1;var k=c;2===c?(k=0,2===h&&(k=1)):3===c&&(k=1,1===h&&(k=0));var l;if(0===k)if(a.purpose&&a.vendor){var q=Oi(a.vendor.consents,void 0===d?"755":d);l=q&&"1"===b&&a.purposeOneTreatment&&"DE"===a.publisherCC?!0:q&&Oi(a.purpose.consents,b)}else l=!0;else l=1===k?a.purpose&&a.vendor?Oi(a.purpose.legitimateInterests,
b)&&Oi(a.vendor.legitimateInterests,void 0===d?"755":d):!0:!0;return l},Oi=function(a,b){return!(!a||!a[b])},Ni=function(a,b,c,d){c||(c=function(){});if("function"===typeof a.i.__tcfapi){var e=a.i.__tcfapi;e(b,2,c,d)}else if(Li(a)){Qi(a);var f=++a.oa;a.L[f]=c;if(a.h){var h={};a.h.postMessage((h.__tcfapiCall={command:b,version:2,callId:f,parameter:d},h),"*")}}else c({},!1)},Li=function(a){if(a.h)return a.h;a.h=Hi(a.i,"__tcfapiLocator");return a.h},Qi=function(a){a.o||(a.o=function(b){try{var c,d;"string"===
typeof b.data?d=JSON.parse(b.data):d=b.data;c=d.__tcfapiReturn;a.L[c.callId](c.returnValue,c.success)}catch(e){}},Ei(a.i,a.o))};var Ri={1:0,3:0,4:0,7:3,9:3,10:3};function Si(a,b){if(""===a)return b;var c=Number(a);return isNaN(c)?b:c}var Ti=Si("",550),Ui=Si("",500);function Vi(){var a=L.tcf||{};return L.tcf=a}
var Wi=function(a,b){this.o=a;this.h=b;this.i=Na();},Xi=function(a){},Yi=function(a){},dj=function(){var a=Vi(),b=new Ki(G,3E3),c=new Wi(b,a);if((Zi()?!0===G.gtag_enable_tcf_support:!1!==G.gtag_enable_tcf_support)&&!a.active&&("function"===typeof G.__tcfapi||Mi(b))){a.active=!0;a.Kb={};$i();var d=setTimeout(function(){aj(a);bj(a);d=null},Ui);try{b.addEventListener(function(e){d&&(clearTimeout(d),d=null);if(0!==e.internalErrorState)aj(a),bj(a),Xi(c);else{var f;if(!1===e.gdprApplies)f=cj(),b.removeEventListener(e);
else if("tcloaded"===e.eventStatus||"useractioncomplete"===e.eventStatus||"cmpuishown"===e.eventStatus){var h={},k;for(k in Ri)if(Ri.hasOwnProperty(k))if("1"===k){var l=e,q=!0;q=void 0===q?!1:q;var r;var p=l;!1===p.gdprApplies?r=!0:(void 0===p.internalErrorState&&(p.internalErrorState=Ji(p)),r="error"===p.cmpStatus||0!==p.internalErrorState||"loaded"===p.cmpStatus&&("tcloaded"===p.eventStatus||"useractioncomplete"===p.eventStatus)?!0:!1);h["1"]=r?!1===l.gdprApplies||"tcunavailable"===l.tcString||
void 0===l.gdprApplies&&!q||"string"!==typeof l.tcString||!l.tcString.length?!0:Pi(l,"1",0):!1}else h[k]=Pi(e,k,Ri[k]);f=h}f&&(a.tcString=e.tcString||"tcempty",a.Kb=f,bj(a),Xi(c))}}),Yi(c)}catch(e){d&&(clearTimeout(d),d=null),aj(a),bj(a)}}};function aj(a){a.type="e";a.tcString="tcunavailable";a.Kb=cj()}function $i(){var a={};yd((a.ad_storage="denied",a.wait_for_update=Ti,a))}
var Zi=function(){var a=!1;a=!0;return a};function cj(){var a={},b;for(b in Ri)Ri.hasOwnProperty(b)&&(a[b]=!0);return a}function bj(a){var b={};zd((b.ad_storage=a.Kb["1"]?"granted":"denied",b))}
var ej=function(){var a=Vi();if(a.active&&void 0!==a.loadTime)return Number(a.loadTime)},fj=function(){var a=Vi();return a.active?a.tcString||"":""},gj=function(a){if(!Ri.hasOwnProperty(String(a)))return!0;var b=Vi();return b.active&&b.Kb?!!b.Kb[String(a)]:!0};function hj(a,b,c){function d(r){var p;L.reported_gclid||(L.reported_gclid={});p=L.reported_gclid;var t=f+(r?"gcu":"gcs");if(!p[t]){p[t]=!0;var n=[],u=function(z,A){A&&n.push(z+"="+encodeURIComponent(A))},v="https://www.google.com";if(td()){var x=Ad(C.s);u("gcs",Bd());r&&u("gcu","1");L.dedupe_gclid||(L.dedupe_gclid=""+We());u("rnd",L.dedupe_gclid);if((!f||h&&"aw.ds"!==h)&&Ad(C.s)){var y=Vf("_gcl_aw");u("gclaw",y.join("."))}u("url",String(G.location).split(/[?#]/)[0]);u("dclid",ij(b,k));!x&&b&&(v=
"https://pagead2.googlesyndication.com")}u("gdpr_consent",fj());"1"===Ef(!1)._up&&u("gtm_up","1");u("gclid",ij(b,f));u("gclsrc",h);u("gtm",Di(!c));var w=v+"/pagead/landing?"+n.join("&");gd(w)}}var e=Yf(),f=e.gclid||"",h=e.gclsrc,k=e.dclid||"",l=!a&&(!f||h&&"aw.ds"!==h?!1:!0),q=td();if(l||q)q?Cd(function(){d();Ad(C.s)||wd(function(r){return d(!0,r.Ue)},C.s)},[C.s]):d()}
function ij(a,b){var c=a&&!Ad(C.s);return b&&c?"0":b}var jj=function(a){if(H.hidden)return!0;var b=a.getBoundingClientRect();if(b.top==b.bottom||b.left==b.right||!G.getComputedStyle)return!0;var c=G.getComputedStyle(a,null);if("hidden"===c.visibility)return!0;for(var d=a,e=c;d;){if("none"===e.display)return!0;var f=e.opacity,h=e.filter;if(h){var k=h.indexOf("opacity(");0<=k&&(h=h.substring(k+8,h.indexOf(")",k)),"%"==h.charAt(h.length-1)&&(h=h.substring(0,h.length-1)),f=Math.min(h,f))}if(void 0!==f&&0>=f)return!0;(d=d.parentElement)&&(e=G.getComputedStyle(d,
null))}return!1};var sj=new RegExp(/[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,}/i),tj=["SCRIPT","IMG","SVG","PATH","BR"],uj=["BR"];function vj(a){var b;if(a===H.body)b="body";else{var c;if(a.id)c="#"+a.id;else{var d;if(a.parentElement){var e;a:{var f=a.parentElement;if(f){for(var h=0;h<f.childElementCount;h++)if(f.children[h]===a){e=h+1;break a}e=-1}else e=1}d=vj(a.parentElement)+">:nth-child("+e+")"}else d="";c=d}b=c}return b}
function wj(){var a;var b=[],c=H.body;if(c){for(var d=c.querySelectorAll("*"),e=0;e<d.length&&1E4>e;e++){var f=d[e];if(!(0<=tj.indexOf(f.tagName.toUpperCase()))){for(var h=!1,k=0;k<f.childElementCount&&1E4>k;k++)if(!(0<=uj.indexOf(f.children[k].tagName.toUpperCase()))){h=!0;break}h||b.push(f)}}a={elements:b,status:1E4<d.length?"2":"1"}}else a={elements:b,status:"4"};for(var l=a,q=l.elements,r=[],p=0;p<q.length;p++){var t=q[p],n=t.textContent;t.value&&(n=t.value);if(n){var u=n.match(sj);if(u){var v=
u[0],x;if(G.location){var y=Ce(G.location,"host",!0);x=0<=v.toLowerCase().indexOf(y)}else x=!1;x||r.push({element:t,Gi:v})}}}for(var w=[],z=10<r.length?"3":l.status,A=0;A<r.length&&10>A;A++){var B=r[A].element;w.push({querySelector:vj(B),tagName:B.tagName,isVisible:!jj(B),type:1})}return{elements:w,status:z}}var fk=function(){var a=!0;gj(7)&&gj(9)&&gj(10)||(a=!1);var b=!0;b=!1;b&&!ek()&&(a=!1);return a},ek=function(){var a=!0;gj(3)&&gj(4)||(a=!1);return a};function Bk(){var a=L;return a.gcq=a.gcq||new Ck}
var Dk=function(a,b,c){Bk().register(a,b,c)},Ek=function(a,b,c,d){Bk().push("event",[b,a],c,d)},Fk=function(a,b){Bk().push("config",[a],b)},Gk=function(a){Bk().push("set",[a])},Hk=function(a,b,c){Bk().push("get",[a,b],c)},Ik={},Jk=function(){this.status=1;this.containerConfig={};this.targetConfig={};this.h={};this.o=null;this.i=!1},Kk=function(a,b,c,d,e){this.type=a;this.o=b;this.aa=c||"";this.h=d;this.i=e},Ck=function(){this.o={};this.i={};this.h=[]},Lk=function(a,b){var c=qg(b);return a.o[c.containerId]=
a.o[c.containerId]||new Jk},Mk=function(a,b,c){if(b){var d=qg(b);if(d&&1===Lk(a,b).status){Lk(a,b).status=2;var e={};Vh&&(e.timeoutId=G.setTimeout(function(){E(38);Hh()},3E3));a.push("require",[e],d.containerId);Ik[d.containerId]=Na();if(tg()){}else{var h=
"/gtag/js?id="+encodeURIComponent(d.containerId)+"&l=dataLayer&cx=c",k=("http:"!=G.location.protocol?"https:":"http:")+("//www.googletagmanager.com"+h),l=pi(c,h)||k;Xc(l)}}}},Nk=function(a,b,c,d){if(d.aa){var e=Lk(a,d.aa),f=e.o;if(f){var h=m(c),k=m(e.targetConfig[d.aa]),l=m(e.containerConfig),q=m(e.h),r=m(a.i),p=oe("gtm.uniqueEventId"),t=qg(d.aa).prefix,n=yi(xi(wi(vi(ui(ti(si(h),k),l),q),r),function(){Yh(p,t,"2");}),function(){
Yh(p,t,"3");});try{Yh(p,t,"1");f(d.aa,b,d.o,n)}catch(u){Yh(p,t,"4");}}}};
Ck.prototype.register=function(a,b,c){var d=Lk(this,a);if(3!==d.status){d.o=b;d.status=3;if(c){d.h=c}var e=qg(a),f=Ik[e.containerId];if(void 0!==f){var h=L[e.containerId].bootstrap,k=e.prefix.toUpperCase();L[e.containerId]._spx&&(k=k.toLowerCase());var l=oe("gtm.uniqueEventId"),q=k,r=Na()-h;if(Vh&&!Mh[l]){l!==Ih&&(Eh(),Ih=l);var p=q+"."+Math.floor(h-f)+"."+Math.floor(r);
Qh=Qh?Qh+","+p:"&cl="+p}delete Ik[e.containerId]}this.flush()}};Ck.prototype.push=function(a,b,c,d){var e=Math.floor(Na()/1E3);Mk(this,c,b[0][C.Ha]||this.i[C.Ha]);this.h.push(new Kk(a,e,c,b,d));d||this.flush()};
Ck.prototype.flush=function(a){for(var b=this;this.h.length;){var c=this.h[0];if(c.i)c.i=!1,this.h.push(c);else switch(c.type){case "require":if(3!==Lk(this,c.aa).status&&!a)return;Vh&&G.clearTimeout(c.h[0].timeoutId);break;case "set":Ha(c.h[0],function(r,p){m(Ua(r,p),b.i)});break;case "config":var d=c.h[0],e=!!d[C.$b];delete d[C.$b];var f=Lk(this,c.aa),h=qg(c.aa),k=h.containerId===h.id;e||(k?f.containerConfig={}:f.targetConfig[c.aa]={});f.i&&e||Nk(this,C.ba,d,c);f.i=!0;delete d[C.wb];k?m(d,f.containerConfig):
m(d,f.targetConfig[c.aa]);break;case "event":Nk(this,c.h[1],c.h[0],c);break;case "get":var l={},q=(l[C.xa]=c.h[0],l[C.wa]=c.h[1],l);Nk(this,C.Ea,q,c);}this.h.shift()}};Ck.prototype.getRemoteConfig=function(a){return Lk(this,a).h};var Ok=!1,Pk=[];function Qk(){if(!Ok){Ok=!0;for(var a=0;a<Pk.length;a++)I(Pk[a])}}var Rk=function(a){Ok?I(a):Pk.push(a)};var Sk="HA GF G UA AW DC".split(" "),Tk=!1,Uk={},Vk=!1;function Wk(a,b){var c={event:a};b&&(c.eventModel=m(b),b[C.Lc]&&(c.eventCallback=b[C.Lc]),b[C.Xb]&&(c.eventTimeout=b[C.Xb]));return c}function Xk(){return Tk}
var $k={config:function(a){},event:function(a){var b=a[1];if(!(2>
a.length)&&g(b)){var c;if(2<a.length){if(!$a(a[2])&&void 0!=a[2]||3<a.length)return;c=a[2]}var d=Wk(b,c);return d}},js:function(a){if(2==a.length&&a[1].getTime)return Vk=!0,Xk(),{event:"gtm.js","gtm.start":a[1].getTime()}},policy:function(){},set:function(a){var b;2==a.length&&$a(a[1])?b=m(a[1]):3==a.length&&g(a[1])&&(b={},$a(a[2])||Aa(a[2])?b[a[1]]=m(a[2]):b[a[1]]=a[2]);if(b){b._clear=!0;return b}},consent:function(a){function b(){Xk()&&m(a[2],{subcommand:a[1]})}if(3===a.length){E(39);var c=ie(),d=a[1];"default"===d?(b(),yd(a[2])):"update"===d&&(b(),zd(a[2],c))}}};
$k.get=function(a){};var al={policy:!0};
var bl=function(a,b){var c=a.hide;if(c&&void 0!==c[b]&&c.end){c[b]=!1;var d=!0,e;for(e in c)if(c.hasOwnProperty(e)&&!0===c[e]){d=!1;break}d&&(c.end(),c.end=null)}},dl=function(a){var b=cl(),c=b&&b.hide;c&&c.end&&(c[a]=!0)};var vl=function(a){if(ul(a))return a;this.h=a};vl.prototype.ih=function(){return this.h};var ul=function(a){return!a||"object"!==Ya(a)||$a(a)?!1:"getUntrustedUpdateValue"in a};vl.prototype.getUntrustedUpdateValue=vl.prototype.ih;var wl=[],xl=!1,yl=function(a){return G["dataLayer"].push(a)},zl=function(a){var b=L["dataLayer"],c=b?b.subscribers:1,d=0;return function(){++d===c&&a()}};function Al(a){var b=a._clear;Ha(a,function(d,e){"_clear"!==d&&(b&&re(d,void 0),re(d,e))});de||(de=a["gtm.start"]);var c=a["gtm.uniqueEventId"];if(!a.event)return!1;c||(c=ie(),a["gtm.uniqueEventId"]=c,re("gtm.uniqueEventId",c));return ni(a)}
function Bl(){for(var a=!1;!xl&&0<wl.length;){xl=!0;delete le.eventModel;ne();var b=wl.shift();if(null!=b){var c=ul(b);if(c){var d=b;b=ul(d)?d.getUntrustedUpdateValue():void 0;for(var e=["gtm.allowlist","gtm.blocklist","gtm.whitelist","gtm.blacklist","tagTypeBlacklist"],f=0;f<e.length;f++){var h=e[f],k=oe(h,1);if(Aa(k)||$a(k))k=m(k);me[h]=k}}try{if(ya(b))try{b.call(pe)}catch(x){}else if(Aa(b)){var l=
b;if(g(l[0])){var q=l[0].split("."),r=q.pop(),p=l.slice(1),t=oe(q.join("."),2);if(void 0!==t&&null!==t)try{t[r].apply(t,p)}catch(x){}}}else{var n=b;if(n&&("[object Arguments]"==Object.prototype.toString.call(n)||Object.prototype.hasOwnProperty.call(n,"callee"))){a:{var u=b;if(u.length&&g(u[0])){var v=$k[u[0]];if(v&&(!c||!al[u[0]])){b=v(u);break a}}b=void 0}if(!b){xl=!1;continue}}a=Al(b)||a}}finally{c&&ne(!0)}}xl=!1}
return!a}function Cl(){var a=Bl();try{bl(G["dataLayer"],Wd.B)}catch(b){}return a}
var El=function(){var a=Vc("dataLayer",[]),b=Vc("google_tag_manager",{});b=b["dataLayer"]=b["dataLayer"]||{};bh(function(){b.gtmDom||(b.gtmDom=!0,a.push({event:"gtm.dom"}))});Rk(function(){b.gtmLoad||(b.gtmLoad=!0,a.push({event:"gtm.load"}))});b.subscribers=(b.subscribers||0)+1;var c=a.push;a.push=function(){var e;if(0<L.SANDBOXED_JS_SEMAPHORE){e=[];for(var f=0;f<arguments.length;f++)e[f]=new vl(arguments[f])}else e=[].slice.call(arguments,0);var h=c.apply(a,e);wl.push.apply(wl,e);if(300<
this.length)for(E(4);300<this.length;)this.shift();var k="boolean"!==typeof h||h;return Bl()&&k};var d=a.slice(0);wl.push.apply(wl,d);Dl()&&I(Cl)},Dl=function(){var a=!0;return a};var Fl={};Fl.ac=new String("undefined");
var Gl=function(a){this.h=function(b){for(var c=[],d=0;d<a.length;d++)c.push(a[d]===Fl.ac?b:a[d]);return c.join("")}};Gl.prototype.toString=function(){return this.h("undefined")};Gl.prototype.valueOf=Gl.prototype.toString;Fl.qg=Gl;Fl.ad={};Fl.Tg=function(a){return new Gl(a)};var Hl={};Fl.Ph=function(a,b){var c=ie();Hl[c]=[a,b];return c};Fl.We=function(a){var b=a?0:1;return function(c){var d=Hl[c];if(d&&"function"===typeof d[b])d[b]();Hl[c]=void 0}};Fl.qh=function(a){for(var b=!1,c=!1,d=2;d<a.length;d++)b=
b||8===a[d],c=c||16===a[d];return b&&c};Fl.Ih=function(a){if(a===Fl.ac)return a;var b=ie();Fl.ad[b]=a;return'google_tag_manager["'+Wd.B+'"].macro('+b+")"};Fl.Bh=function(a,b,c){a instanceof Fl.qg&&(a=a.h(Fl.Ph(b,c)),b=xa);return{od:a,H:b}};var Il=function(a,b,c){function d(f,h){var k=f[h];return k}var e={event:b,"gtm.element":a,"gtm.elementClasses":d(a,"className"),"gtm.elementId":a["for"]||cd(a,"id")||"","gtm.elementTarget":a.formTarget||d(a,"target")||""};c&&(e["gtm.triggers"]=c.join(","));e["gtm.elementUrl"]=(a.attributes&&a.attributes.formaction?a.formAction:"")||a.action||d(a,"href")||a.src||a.code||a.codebase||
"";return e},Jl=function(a){L.hasOwnProperty("autoEventsSettings")||(L.autoEventsSettings={});var b=L.autoEventsSettings;b.hasOwnProperty(a)||(b[a]={});return b[a]},Kl=function(a,b,c){Jl(a)[b]=c},Ll=function(a,b,c,d){var e=Jl(a),f=Oa(e,b,d);e[b]=c(f)},Ml=function(a,b,c){var d=Jl(a);return Oa(d,b,c)};var Nl=["input","select","textarea"],Ol=["button","hidden","image","reset","submit"],Pl=function(a){var b=a.tagName.toLowerCase();return!Ca(Nl,function(c){return c===b})||"input"===b&&Ca(Ol,function(c){return c===a.type.toLowerCase()})?!1:!0},Ql=function(a){return a.form?a.form.tagName?a.form:H.getElementById(a.form):fd(a,["form"],100)},Rl=function(a,b,c){if(!a.elements)return 0;for(var d=b.getAttribute(c),e=0,f=1;e<a.elements.length;e++){var h=a.elements[e];if(Pl(h)){if(h.getAttribute(c)===d)return f;
f++}}return 0};var Sl=!!G.MutationObserver,Tl=void 0,Ul=function(a){if(!Tl){var b=function(){var c=H.body;if(c)if(Sl)(new MutationObserver(function(){for(var e=0;e<Tl.length;e++)I(Tl[e])})).observe(c,{childList:!0,subtree:!0});else{var d=!1;ad(c,"DOMNodeInserted",function(){d||(d=!0,I(function(){d=!1;for(var e=0;e<Tl.length;e++)I(Tl[e])}))})}};Tl=[];H.body?b():I(b)}Tl.push(a)};var fm=G.clearTimeout,gm=G.setTimeout,N=function(a,b,c){if(tg()){b&&I(b)}else return Xc(a,b,c)},hm=function(){return new Date},im=function(){return G.location.href},jm=function(a){return De(Fe(a),"fragment")},km=function(a){return Ee(Fe(a))},lm=function(a,b){return oe(a,b||2)},mm=function(a,b,c){var d;b?(a.eventCallback=b,c&&(a.eventTimeout=c),d=yl(a)):d=yl(a);return d},nm=function(a,b){G[a]=b},V=function(a,b,c){b&&
(void 0===G[a]||c&&!G[a])&&(G[a]=b);return G[a]},om=function(a,b,c){return Je(a,b,void 0===c?!0:!!c)},pm=function(a,b,c){return 0===Se(a,b,c)},qm=function(a,b){if(tg()){b&&I(b)}else Zc(a,b)},rm=function(a){return!!Ml(a,"init",!1)},sm=function(a){Kl(a,"init",!0)},tm=function(a,b){var c=(void 0===b?0:b)?"www.googletagmanager.com/gtag/js":be;c+="?id="+encodeURIComponent(a)+"&l=dataLayer";N(vg("https://","http://",c))},um=function(a,
b){var c=a[b];return c},vm=function(a,b,c){Vh&&(ab(a)||Zh(c,b,a))};
var wm=Fl.Bh;function Tm(a,b){a=String(a);b=String(b);var c=a.length-b.length;return 0<=c&&a.indexOf(b,c)==c}var Um=new Ea;function Vm(a,b){function c(h){var k=Fe(h),l=De(k,"protocol"),q=De(k,"host",!0),r=De(k,"port"),p=De(k,"path").toLowerCase().replace(/\/$/,"");if(void 0===l||"http"==l&&"80"==r||"https"==l&&"443"==r)l="web",r="default";return[l,q,r,p]}for(var d=c(String(a)),e=c(String(b)),f=0;f<d.length;f++)if(d[f]!==e[f])return!1;return!0}
function Wm(a){return Xm(a)?1:0}
function Xm(a){var b=a.arg0,c=a.arg1;if(a.any_of&&Aa(c)){for(var d=0;d<c.length;d++){var e=m(a,{});m({arg1:c[d],any_of:void 0},e);if(Wm(e))return!0}return!1}switch(a["function"]){case "_cn":return 0<=String(b).indexOf(String(c));case "_css":var f;a:{if(b){var h=["matches","webkitMatchesSelector","mozMatchesSelector","msMatchesSelector","oMatchesSelector"];try{for(var k=0;k<h.length;k++)if(b[h[k]]){f=b[h[k]](c);break a}}catch(n){}}f=!1}return f;case "_ew":return Tm(b,c);case "_eq":return String(b)==
String(c);case "_ge":return Number(b)>=Number(c);case "_gt":return Number(b)>Number(c);case "_lc":var l;l=String(b).split(",");return 0<=Ba(l,String(c));case "_le":return Number(b)<=Number(c);case "_lt":return Number(b)<Number(c);case "_re":var q;var r=a.ignore_case?"i":void 0;try{var p=String(c)+r,t=Um.get(p);t||(t=new RegExp(c,r),Um.set(p,t));q=t.test(b)}catch(n){q=!1}return q;case "_sw":return 0==String(b).indexOf(String(c));case "_um":return Vm(b,c)}return!1};var Ym={},Zm=encodeURI,X=encodeURIComponent,$m=$c;var an=function(a,b){if(!a)return!1;var c=De(Fe(a),"host");if(!c)return!1;for(var d=0;b&&d<b.length;d++){var e=b[d]&&b[d].toLowerCase();if(e){var f=c.length-e.length;0<f&&"."!=e.charAt(0)&&(f--,e="."+e);if(0<=f&&c.indexOf(e,f)==f)return!0}}return!1};
var bn=function(a,b,c){for(var d={},e=!1,f=0;a&&f<a.length;f++)a[f]&&a[f].hasOwnProperty(b)&&a[f].hasOwnProperty(c)&&(d[a[f][b]]=a[f][c],e=!0);return e?d:null};Ym.rh=function(){var a=!1;return a};var Nn=null,On=[],Pn=0,Qn=null;function Rn(){var a=Na()-Pn;0<=a?(Qn&&(G.clearTimeout(Qn),Qn=null),Sn()):Qn||(Qn=G.setTimeout(function(){Sn();Qn=null},0-a))}function Sn(){Pn=Na();var a=On;On=[];var b,c="undefined"!=typeof Symbol&&Symbol.iterator&&a[Symbol.iterator];b=c?c.call(a):{next:ba(a)};for(var d=b.next();!d.done;d=b.next()){var e=d.value;e()}Nn&&(Nn.takeRecords(),On.length||(Nn&&(Nn.disconnect(),Nn=null),Qn&&(G.clearTimeout(Qn),Qn=null)))};function vo(){return G.gaGlobal=G.gaGlobal||{}}var wo=function(){var a=vo();a.hid=a.hid||Da();return a.hid},xo=function(a,b){var c=vo();if(void 0==c.vid||b&&!c.from_cookie)c.vid=a,c.from_cookie=b};var ep=function(a,b){var c;var d=Go(a);d?(Eo(d,a)||(E(25),a.abort()),c=d):c=void 0;var e=c,f;a:{var h=a.I[C.Ta];h?(h=""+h,Bo(h,a)||(E(31),a.abort()),xo(h,Ad(C.J)),f=h):(E(32),a.abort(),f="")}return{clientId:f,rf:e}};var fp=window,gp=document,hp=function(a){var b=fp._gaUserPrefs;if(b&&b.ioo&&b.ioo()||a&&!0===fp["ga-disable-"+a])return!0;try{var c=fp.external;if(c&&c._gaUserPrefs&&"oo"==c._gaUserPrefs)return!0}catch(f){}for(var d=He("AMP_TOKEN",String(gp.cookie),!0),e=0;e<d.length;e++)if("$OPT_OUT"==d[e])return!0;return gp.getElementById("__gaOptOutExtension")?!0:!1};function kp(a){delete a.eventModel[C.wb];np(a.eventModel)}var np=function(a){Ha(a,function(c){"_"===c.charAt(0)&&delete a[c]});var b=a[C.la]||{};Ha(b,function(c){"_"===c.charAt(0)&&delete b[c]})};var qp=function(a,b,c){Ek(b,c,a)},rp=function(a,b,c){Ek(b,c,a,!0)},tp=function(a,b){};
function sp(a,b){}var Y={a:{}};


Y.a.e=["google"],function(){(function(a){Y.__e=a;Y.__e.b="e";Y.__e.g=!0;Y.__e.priorityOverride=0})(function(a){return String(te(a.vtp_gtmEventId,"event"))})}();
Y.a.f=["google"],function(){(function(a){Y.__f=a;Y.__f.b="f";Y.__f.g=!0;Y.__f.priorityOverride=0})(function(a){var b=lm("gtm.referrer",1)||H.referrer;return b?a.vtp_component&&"URL"!=a.vtp_component?De(Fe(String(b)),a.vtp_component,a.vtp_stripWww,a.vtp_defaultPages,a.vtp_queryKey):km(String(b)):String(b)})}();

Y.a.u=["google"],function(){var a=function(b){return{toString:function(){return b}}};(function(b){Y.__u=b;Y.__u.b="u";Y.__u.g=!0;Y.__u.priorityOverride=0})(function(b){var c;b.vtp_customUrlSource?c=b.vtp_customUrlSource:c=lm("gtm.url",1);c=c||im();var d=b[a("vtp_component")];if(!d||"URL"==d)return km(String(c));var e=Fe(String(c)),f;if("QUERY"===d)a:{var h=b[a("vtp_multiQueryKeys").toString()],k=b[a("vtp_queryKey").toString()]||"",l=b[a("vtp_ignoreEmptyQueryParam").toString()],q;h?Aa(k)?q=k:q=String(k).replace(/\s+/g,
"").split(","):q=[String(k)];for(var r=0;r<q.length;r++){var p=De(e,"QUERY",void 0,void 0,q[r]);if(void 0!=p&&(!l||""!==p)){f=p;break a}}f=void 0}else f=De(e,d,"HOST"==d?b[a("vtp_stripWww")]:void 0,"PATH"==d?b[a("vtp_defaultPages")]:void 0,void 0);return f})}();












Y.a.html=["customScripts"],function(){function a(d,e,f,h){return function(){try{if(0<e.length){var k=e.shift(),l=a(d,e,f,h);if("SCRIPT"==String(k.nodeName).toUpperCase()&&"text/gtmscript"==k.type){var q=H.createElement("script");q.async=!1;q.type="text/javascript";q.id=k.id;q.text=k.text||k.textContent||k.innerHTML||"";k.charset&&(q.charset=k.charset);var r=k.getAttribute("data-gtmsrc");r&&(q.src=r,Wc(q,l));d.insertBefore(q,null);r||l()}else if(k.innerHTML&&0<=k.innerHTML.toLowerCase().indexOf("<script")){for(var p=
[];k.firstChild;)p.push(k.removeChild(k.firstChild));d.insertBefore(k,null);a(k,p,l,h)()}else d.insertBefore(k,null),l()}else f()}catch(t){I(h)}}}var c=function(d){if(H.body){var e=d.vtp_gtmOnFailure,f=wm(d.vtp_html,d.vtp_gtmOnSuccess,
e),h=f.od,k=f.H;if(d.vtp_useIframe){}else d.vtp_supportDocumentWrite?b(h,k,e):a(H.body,ed(h),k,e)()}else gm(function(){c(d)},200)};Y.__html=c;Y.__html.b="html";Y.__html.g=
!0;Y.__html.priorityOverride=0}();








var up={};up.macro=function(a){if(Fl.ad.hasOwnProperty(a))return Fl.ad[a]},up.onHtmlSuccess=Fl.We(!0),up.onHtmlFailure=Fl.We(!1);up.dataLayer=pe;up.callback=function(a){ge.hasOwnProperty(a)&&ya(ge[a])&&ge[a]();delete ge[a]};up.bootstrap=0;up._spx=!1;function vp(){L[Wd.B]=up;Qa(he,Y.a);Hb=Hb||Fl;Ib=Ub}
function wp(){id.gtm_3pds=!0;id.gtag_cs_api=!0;L=G.google_tag_manager=G.google_tag_manager||{};dj();if(L[Wd.B]){var a=L.zones;a&&a.unregisterChild(Wd.B);}else{for(var b=data.resource||{},c=b.macros||[],d=
0;d<c.length;d++)Ab.push(c[d]);for(var e=b.tags||[],f=0;f<e.length;f++)Db.push(e[f]);for(var h=b.predicates||[],k=0;k<h.length;k++)Cb.push(h[k]);for(var l=b.rules||[],q=0;q<l.length;q++){for(var r=l[q],p={},t=0;t<r.length;t++)p[r[t][0]]=Array.prototype.slice.call(r[t],1);Bb.push(p)}Fb=Y;Gb=Wm;vp();El();Xg=!1;Yg=0;if("interactive"==H.readyState&&!H.createEventObject||"complete"==H.readyState)$g();else{ad(H,"DOMContentLoaded",$g);ad(H,"readystatechange",$g);if(H.createEventObject&&H.documentElement.doScroll){var n=
!0;try{n=!G.frameElement}catch(w){}n&&ah()}ad(G,"load",$g)}Ok=!1;"complete"===H.readyState?Qk():ad(G,"load",Qk);a:{if(!Vh)break a;G.setInterval(Wh,864E5);}ee=(new Date).getTime();}}
(function(a){var e=!0;
e=!1;if(e){a();return}var f=function(){var q=G["google.tagmanager.debugui2.queue"];q||(q=[],G["google.tagmanager.debugui2.queue"]=q,Xc("https://www.googletagmanager.com/debug/bootstrap"));return q},h="x"===De(G.location,"query",
!1,void 0,"gtm_debug");if(!h&&H.referrer){var k=Fe(H.referrer);h="tagassistant.google.com"===Ce(k,"host")}if(!h){var l=Je("__TAG_ASSISTANT");h=l.length&&l[0].length}G.__TAG_ASSISTANT_API&&(h=!0);if(h&&Uc){f().push({messageType:"CONTAINER_STARTING",data:{scriptSource:Uc,resume:function(){a()}}});return}a()})(wp);

})()
